var app = require('express')();
var server = require('http').Server(app);
var io = require('socket.io')(server);
var mysql = require('mysql');

var connection='';

function handleDisconnect() {
    if(connection !==''){
        connection.destroy();
        console.log('destroy first');
    }
    connection = mysql.createConnection({
        host: "localhost",
        user: "root",
        password: "",
        database: "families"

    });                                               // Recreate the connection, since
    // the old one cannot be reused.

    connection.connect(function(err) {              // The server is either down
        if(err) {                                     // or restarting (takes a while sometimes).
            console.log('error when connecting to db:', err);
            setTimeout(handleDisconnect, 2000); // We introduce a delay before attempting to reconnect,
        }
        console.log("databse Connected!");               // to avoid a hot loop, and to allow our node script to
    });                                     // process asynchronous requests in the meantime.
                                            // If you're also serving http, display a 503 error.
    connection.on('error', function(err) {
        console.log('db error', err.code);

        //- The server close the connection.
        if(err.code === "PROTOCOL_CONNECTION_LOST"){
            console.log("/!\\ The server close the connection. /!\\ ("+err.code+")");
            handleDisconnect();
        }

        //- Connection in closing
        else if(err.code === "PROTOCOL_ENQUEUE_AFTER_QUIT"){
            console.log("/!\\ Connection in closing. /!\\ ("+err.code+")");
            setTimeout(handleDisconnect, 2000);
        }

        //- Fatal error : connection variable must be recreated
        else if(err.code === "PROTOCOL_ENQUEUE_AFTER_FATAL_ERROR"){
            console.log("/!\\ Connection variable must be recreated. /!\\ ("+err.code+")");
            setTimeout(handleDisconnect, 2000);
        }

        //- Error because a connection is already being established
        else if(err.code === "PROTOCOL_ENQUEUE_HANDSHAKE_TWICE"){
            console.log("/!\\ Connection is already being established. /!\\ ("+err.code+")");
        }

        //- Anything else
        else{
            console.log("/!\\ Cannot establish a connection with the database. /!\\ ("+err.code+")");
            throw err;
        }
    });
}
handleDisconnect();

io.on('connection', function (socket) {
    console.log('there is new connection ');
    socket.on('location-updated', function (message) {

        // message = JSON.parse(message);

        let event_name = `${message.channel}-${message.id}`;  // location-updated-10
        console.log(JSON.stringify(message));

        console.log(message.id);



        var sql = `UPDATE users SET lat = ${message.lat} , lng = ${message.lng} WHERE id = ${message.id} `;
        var user = `SELECT * FROM users WHERE id = ${message.id}`;

        connection.query(sql, function (err, result) {
            if (err) throw err;
            console.log(result.affectedRows + " record(s) updated");
        });
        connection.query(user, function (err, userResult) {
            if (err) throw err;
            console.log(userResult.affectedRows + " record(s) selected");
            socket.emit(event_name,userResult);
        });


        // socket.broadcast.emit(event_name, JSON.stringify(message));
        // console.log(message);
        // console.log(JSON.parse(message));
        // socket.emit(event_name,message);
        // socket.emit(event_name,JSON.stringify(message));
        // socket.broadcast.emit(event_name, JSON.stringify(message));
        // socket.broadcast.emit(event_name, message);
    });
    socket.on('driver_location', function (message) {

        // message = JSON.parse(message);

        let event_name = `${message.channel}-${message.id}`;  // location-updated-10
        console.log(JSON.stringify(message));

        console.log(message.id);

        var driver = `SELECT * FROM users WHERE id = ${message.driver_id}`;

        connection.query(driver, function (err, userResult) {
            if (err) throw err;
            console.log(userResult.affectedRows + " record(s) selected");
            socket.emit(event_name,userResult);
        });



    });
    // socket.on('search_drivers', function (message) {
    //
    //     // message = JSON.parse(message);
    //
    //     let event_name = `${message.channel}-${message.user_id}`;  // location-updated-10
    //     console.log(JSON.stringify(message));
    //
    //     console.log(message.id);
    //
    //
    //     var sql = `SELECT id, lat , lng, (
    //                         6371 * acos (
    //                           cos ( radians(${message.lat}) )
    //                           * cos( radians( lat ) )
    //                           * cos( radians( lng ) - radians(${message.lng}) )
    //                           + sin ( radians(${message.lat}) )
    //                           * sin( radians( lat ) )
    //                         )
    //                       ) AS distance
    //                     FROM users
    //                     WHERE type='driver' AND status = 'active'  AND notification = 'true' AND available ='true' AND online='true' AND driver_status = 'activate'
    //
    //                     HAVING distance < 20
    //                     ORDER BY distance
    //                     LIMIT 0 , 20;`;
    //     connection.query(sql, function (err, result) {
    //         if (err) throw err;
    //         console.log(JSON.stringify(result));
    //         console.log(result);
    //
    //         socket.emit(event_name, result);
    //
    //     });
    // });

    socket.on('ChannelTest', function (message) {
        console.log('message', message);
    });

});
server.listen(8080, function () {
    console.log('hello');
});
