<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Ad;
use App\Models\Suggest;
use Carbon\Carbon;
use Illuminate\Http\Request;

class ComplaintsController extends Controller
{
    public function index()
    {
        $rows = Suggest::orderByDesc('id')->get();
        return view('admin.complaints.index', compact('rows'));
    }
    public function destroy($id){
        Suggest::destroy($id);
        toast('تم الحذف بنجاح','success');
        return redirect()->back();
    }


    public function complain_search(Request $request)
    {
        $request->validate([
            'from' => 'required',
            'to' => 'required'
        ]);
        $rows = Suggest::whereDate('created_at', '>=', Carbon::parse($request->from))->whereDate('created_at', '<=', Carbon::parse($request->to))->get();
        return view('admin.complaints.index', compact('rows'));
    }


}
