<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\City;
use Illuminate\Http\Request;

class HaysController extends Controller
{



    public function create($city_id)
    {
        return view('admin.hays.create',compact('city_id'));
    }


    public function store(Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required',
            'city_id'=>'required'

        ]);
        $city = new City();
        $city['name->ar'] = $request['name_ar'];
        $city['name->en'] = $request['name_en'];
        $city['parent_id'] = $request['city_id'];
        $city['type'] = 'hay';
        $city->save();
        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('cities.show',$request['city_id']);
    }


    public function edit($id)
    {
        $row = City::find($id);
        return view('admin.hays.edit', compact('row'));
    }


    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);
        $city = City::find($id);
        $city['name->ar'] = $request['name_ar'];
        $city['name->en'] = $request['name_en'];
        $city->update();
        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('cities.show',$city->parent_id);
    }


    public function destroy($id)
    {
        City::destroy($id);
        toast('تمت العملية بنجاح', 'success', 'left');
        return back();
    }
}
