<?php

namespace App\Http\Controllers\Site;

use App\Http\Controllers\Controller;
use App\Models\AuctionSubscription;
use App\Models\HyperpayCheckout;
use App\Models\UserCredit;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Lang;
use RealRashid\SweetAlert\Facades\Alert;

class HyperPayController extends Controller
{
    function checkout($amount, $merchantTransactionId, $method)
    {

//        $entity_id = $method == 'visa' ? "8ac9a4cc7a5c05eb017a616761ff43bb" : "8ac9a4cc7a5c05eb017a61684da243cb";
//        $testMode = $method == 'visa' ? "EXTERNAL" : "INTERNAL";
        $user_email = \Auth::user()->email;
        $url = "https://oppwa.com/v1/checkouts";
        $data = "entityId=8ac9a4cc7a5c05eb017a616761ff43bb" .
            "&amount=$amount" .
            "&merchantTransactionId=$merchantTransactionId" .
            "&customer.email=$user_email" .
            "&currency=SAR" .
            "&standingInstruction.mode=INITIAL" .
            "&standingInstruction.type=UNSCHEDULED" .
            "&standingInstruction.source=CIT" .
            "&createRegistration=true" .
            "&billing.street1=Riyadh" .
            "&billing.city=Riyadh" .
            "&billing.state=Riyadh" .
            "&billing.country=SA" .
            "&billing.postcode=12214" .
            "&customer.givenName=somsa" .
            "&customer.surname=somsa" .

            "&paymentType=DB";

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Authorization:Bearer OGFjOWE0Y2M3YTVjMDVlYjAxN2E2MTY2ZjczNTQzYjB8cDVmUGprUjNUTQ=='));
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);// this should be set to true in production
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $responseData = curl_exec($ch);
        if (curl_errno($ch)) {
            return curl_error($ch);
        }
        curl_close($ch);
        $data = json_decode($responseData);
        return $data->id;
    }

    public function open_payment_gate($method, $auction_id)
    {
        $amount = 1;
        $checkoutId = '';
//        $checkoutId = $this->checkout($amount);
        $hyperpay_checkount = new HyperpayCheckout();
        $hyperpay_checkount->user_id = Auth()->user()->id;
        $hyperpay_checkount->checkoutId = $checkoutId;
        $hyperpay_checkount->amount = $amount;
        $hyperpay_checkount->save();
        $checkoutId = $this->checkout($amount, $hyperpay_checkount->id, $method);

        return view('site.checkCardPayment', compact('amount', 'checkoutId', 'method', 'auction_id'));
    }


    function validate_checkout($id, $method)
    {
//        $entity_id = $method == 'visa' ? "8ac9a4cc7a5c05eb017a616761ff43bb" : "8ac9a4cc7a5c05eb017a61684da243cb";

        $url = "https://oppwa.com/v1/checkouts/$id/payment";
        $url .= "?entityId=8ac9a4cc7a5c05eb017a616761ff43bb";
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Authorization:Bearer OGFjOWE0Y2M3YTVjMDVlYjAxN2E2MTY2ZjczNTQzYjB8cDVmUGprUjNUTQ=='));
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);// this should be set to true in production
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $responseData = curl_exec($ch);
        if (curl_errno($ch)) {
            return curl_error($ch);
        }
        curl_close($ch);
        $data = json_decode($responseData);
        return $data;
    }

    public function hyperpay_results($checkoutId, $method, $auction_id, Request $request)
    {

        $data = $this->validate_checkout($checkoutId, $method);


        $hyperpay_checkount = HyperpayCheckout::where('user_id', Auth()->user()->id)->latest()->first();

        $hyperpay_checkount->checkoutId = $checkoutId;
        $hyperpay_checkount->update();


        if ($data->result->code == '000.100.112' || $data->result->code == '000.100.110' || $data->result->code == '000.000.000') {

            $user = \Auth::user();
            $user->registrationId = $data->registrationId;
            $user->payment_method = $method;
            $user->update();


            AuctionSubscription::create([
                'user_id' => \Auth::user()->id,
                'auction_id' => $auction_id
            ]);

            Alert::success(Lang::get('site.successAuctionIN'));
            return redirect()->route('auction_details', $auction_id);


        } else {

            Alert::error(Lang::get('site.failedStock'));
            return redirect()->route('auction_details', $auction_id);
        }


    }

}
