<?php

namespace App\Http\Controllers\Site;

use App\Http\Controllers\Controller;
use App\Http\Middleware\Lang;
use App\Models\MediationRequests;
use Illuminate\Http\Request;

class MediationRequestsController extends Controller
{

    public function add_mediation_request(Request $request)
    {
        $request->validate([
            'ad_id' => 'required|exists:ads,id'
        ]);
        $old_mediation = MediationRequests::where(['user_id' => \Auth::id(), 'ad_id' => $request->ad_id])->first();

        if ($old_mediation) {
            alert(\Lang::get('site.mediationRequest'), \Lang::get('site.alreadySent'), 'error');
            return redirect()->back();
        }

        $mediation_request = new MediationRequests();
        $mediation_request->ad_id = $request->ad_id;
        $mediation_request->user_id = \Auth::id();
        $mediation_request->save();

        alert(\Lang::get('site.mediationRequest'), \Lang::get('site.requestHasBeenSent'), 'success');
        return redirect()->back();
    }

}
