<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AdOrder extends Model
{
    use HasFactory;

    protected $table = 'ad_orders';
    public $timestamps = true;
    protected $fillable = [
        'user_id',
        'ad_id',
        'commission',
        'amount',
        'payment_method'
    ];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function ad()
    {
        return $this->belongsTo(Ad::class, 'ad_id');
    }
}
