<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CommissionTransfer extends Model
{
    use HasFactory;

    protected $table = 'commission_transfers';
    protected $fillable = ['user_id', 'bank_id', 'image'];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');
    }
    public function getImageAttribute()
    {

        if (isset($this->attributes['image'])) {
            return asset('images/commission/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/commission/';
        $filename =time().'_'.md5(rand('11','99')) . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

}
