var app = require('express')();
var server = require('http').Server(app);
// var io = require('socket.io')(server);
var mysql = require('mysql');

const io = require("socket.io")(server);


server.listen(8000, function () {
    console.log('hello');
})


var connection = '';

function handleDisconnect() {
    if (connection !== '') {
        connection.destroy();
        console.log('destroy first');
    }
    connection = mysql.createConnection({
        host: "localhost",
        user: "root",
        password: "",
        database: "mazadat"

    });                                               // Recreate the connection, since
    // the old one cannot be reused.

    connection.connect(function (err) {              // The server is either down
        if (err) {                                     // or restarting (takes a while sometimes).
            console.log('error when connecting to db:', err);
            setTimeout(handleDisconnect, 2000); // We introduce a delay before attempting to reconnect,
        }
        console.log("databse Connected!");               // to avoid a hot loop, and to allow our node script to
    });                                     // process asynchronous requests in the meantime.
                                            // If you're also serving http, display a 503 error.
    connection.on('error', function (err) {
        console.log('db error', err.code);

        //- The server close the connection.
        if (err.code === "PROTOCOL_CONNECTION_LOST") {
            console.log("/!\\ The server close the connection. /!\\ (" + err.code + ")");
            handleDisconnect();
        }

        //- Connection in closing
        else if (err.code === "PROTOCOL_ENQUEUE_AFTER_QUIT") {
            console.log("/!\\ Connection in closing. /!\\ (" + err.code + ")");
            setTimeout(handleDisconnect, 2000);
        }

        //- Fatal error : connection variable must be recreated
        else if (err.code === "PROTOCOL_ENQUEUE_AFTER_FATAL_ERROR") {
            console.log("/!\\ Connection variable must be recreated. /!\\ (" + err.code + ")");
            setTimeout(handleDisconnect, 2000);
        }

        //- Error because a connection is already being established
        else if (err.code === "PROTOCOL_ENQUEUE_HANDSHAKE_TWICE") {
            console.log("/!\\ Connection is already being established. /!\\ (" + err.code + ")");
        }

        //- Anything else
        else {
            console.log("/!\\ Cannot establish a connection with the database. /!\\ (" + err.code + ")");
            throw err;
        }
    });
}

handleDisconnect();


// Define/initialize our global vars
var notes = []
var isInitNotes = false
var socketCount = 0
var loginUsers = []

io.sockets.on('connection', function (socket) {
    console.log('welcome new user ');

    // console.log(socket.get(client_id));
    // Socket has connected, increase socket count
    socketCount++
    // Let all sockets know how many are connected
    io.sockets.emit('users connected', socketCount)

    socket.on('disconnect', function () {
        // console.log('welcome new user ');
        // Decrease the socket count on a disconnect, emit
        socketCount--
        io.sockets.emit('users connected', socketCount)
    });


    socket.on('ChannelTest', function (message) {
        console.log(message)
    });



    socket.on('sendBid', function (data) {
        // console.log('new note event ');
        // console.log(data);
        // New note added, push to all sockets and insert into db
        // notes.push(data)


        // Use node's db injection format to filter incoming data


        var selectPrice = `SELECT * FROM bids WHERE auction_id = ${data.auction_id} ORDER BY id DESC LIMIT 1`;
        var watchesCount =`SELECT * FROM auction_watches WHERE auction_id = ${data.auction_id}`;
        var auction_subscriptions = `SELECT * FROM auction_subscriptions WHERE auction_id = ${data.auction_id}`;

        connection.query(watchesCount, function (err, watches_result) {
            if (err) throw err;
            // console.log(watches_result.affectedRows + " record(s) updated");
            data['watchesCount'] = watches_result.length;
        });

        connection.query(auction_subscriptions, function (err, subscriptionsCount) {
            if (err) throw err;
            // console.log(watches_result.affectedRows + " record(s) updated");
            data['subscriptionsCount'] = subscriptionsCount.length;
        });



        connection.query(selectPrice, function (err, result) {
            if (err) throw err;
            // console.log(result.affectedRows + " record(s) updated");
            if (result.length == 0){
                console.log('empty');
                var sql = 'INSERT INTO bids (auction_id ,user_id, price) VALUES (' + data.auction_id + ',' + data.user_id + ',' + data.price + ')';

                connection.query(sql, function (err, result) {
                    if (err) throw err;
                    // console.log(result.affectedRows + " record(s) updated");
                    data['id'] = result.insertId;

                    console.log(data);
                    io.sockets.emit('newBid', data);


                });
            }else {


                if (  parseFloat(data.price)  <= parseFloat(result[0]['price'])){
                    socket.emit('fireError','برجاء إدخال مبلغ السوم أكثر من ' +result[0]['price'])


                    console.log('error');
                }else{


                    console.log('success');

                    var sql = 'INSERT INTO bids (auction_id ,user_id, price) VALUES (' + data.auction_id + ',' + data.user_id + ',' + data.price + ')';

                    connection.query(sql, function (err, result) {
                        if (err) throw err;
                        // console.log(result.affectedRows + " record(s) updated");
                        data['id'] = result.insertId;

                        io.sockets.emit('newBid', data);


                    });


                }



            }


        });




    })


})
