<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('username', 191)->nullable();
            $table->string('mobile', 191)->nullable()->unique();
            $table->string('email', 191)->nullable()->unique();
            $table->string('code', 191)->nullable();
            $table->string('password', 191);
            $table->enum('verified', array('true', 'false'))->nullable();
            $table->enum('status', array('active', 'not_active'))->nullable();
            $table->string('last_online', 191)->nullable();
            $table->string('image', 191)->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
