<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAdsTable extends Migration {

	public function up()
	{
		Schema::create('ads', function(Blueprint $table) {
			$table->increments('id');
			$table->string('title', 191)->nullable();
			$table->integer('city_id')->unsigned()->nullable();
			$table->string('lat', 191)->nullable();
			$table->string('lng', 191)->nullable();
			$table->integer('category_id')->unsigned()->nullable();
			$table->string('year', 191)->nullable();
			$table->longText('description')->nullable();
			$table->enum('car_type', array('manual', 'automatic'))->nullable();
			$table->string('price', 191)->nullable();
			$table->enum('price_show', array('true', 'false'))->nullable();
			$table->string('mobile', 191)->nullable();
			$table->enum('status', array('active', 'not_active'))->nullable();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('ads');
	}
}