@extends('admin.layout.master')
@section('title', "طلبات وتقاربر حراج")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">طلبات وتقاربر حراج</h4>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <form method="POST" action="{{route('ad_order_search')}}">
                    @csrf
                    <div class="form-group">
                        <label for="exampleInputEmail1">من تاريخ</label>
                        <input type="date" class="form-control" value="{{old('from')}}" name="from"
                               id="exampleInputEmail1">
                        @if ($errors->has('from'))
                            <small class="text-danger">{{ $errors->first('from') }}</small>
                        @endif
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">الى تاريخ</label>
                        <input type="date" class="form-control" value="{{old('to')}}" name="to"
                               id="exampleInputEmail1">
                        @if ($errors->has('to'))
                            <small class="text-danger">{{ $errors->first('to') }}</small>
                        @endif
                    </div>

                    <button type="submit" class="btn btn-success">بحث</button>
                </form>
            </div>
        </div>

        <div class="col-12">
            <div class="card-box">
                <form method="POST" action="{{route('select_delete')}}">
                    @csrf
                    <input type="hidden" name="model" value="AdOrder">


                    <h4 class="header-title" style="display: inline-block; float: right">طلبات وتقاربر حراج</h4>
                    <button style="display: inline-block; float: left; margin-bottom: 15px" type="submit"
                            class="btn btn-danger waves-effect waves-light"
                    >حذف
                    </button>
                    <div class="clearfix"></div>

                    <table id="example" class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr style="font-size: large ; font-family: cairo">
                            {{--                            <th>#</th>--}}
                            <th>رقم الاعلان</th>
                            <th>اسم المشترى</th>
                            <th>جوال المشترى</th>
                            <th>اسم الاعلان</th>
                            <th>اسم المعلن</th>
                            <th>جوال المعلن</th>
                            <th>السعر</th>
                            <th>نسبة التطبيق</th>
                            <th>نوع الدفع</th>
                            <th>التاريخ</th>

                            {{--                            <th>التحكم</th>--}}
                            {{--                            <th class="text-center"><input type="checkbox" id="checkAll"> حذف الكل--}}

                            {{--                            </th>--}}
                        </tr>
                        </thead>
                        <tbody>

                        @foreach($rows as $row)
                            <tr>
                                {{--                                <td>{{$i}}</td>--}}
                                <td>{{$row->id}}</td>
                                <td>{{$row->user->username}}</td>
                                <td>{{$row->user->mobile}}</td>
                                <td>{{$row->ad->title}}</td>
                                <td>{{$row->ad->user->username}}</td>
                                <td>{{$row->ad->user->mobile}}</td>
                                <td>{{$row->amount}}</td>
                                <td>{{$row->commission}}</td>
                                <td>{{$row->payment_method}}</td>
                                <td>{{\Carbon\Carbon::parse($row->created_at)->toDateString()}}</td>

                                {{--                                <td>--}}
                                {{--                                                                    <button type="button" class="btn btn-danger waves-effect waves-light"--}}
                                {{--                                                                            data-toggle="modal" data-target="#myModal{{$row->id}}">حذف--}}
                                {{--                                                                    </button>--}}

                                {{--                                    <a href="{{route('ad_orders.edit',$row->id)}}">--}}
                                {{--                                        <button type="button"--}}
                                {{--                                                class="btn btn-info waves-effect waves-light">تعديل--}}
                                {{--                                        </button>--}}
                                {{--                                    </a>--}}
                                {{--                                    <a href="{{route('ad_orders.show',$row->id)}}">--}}
                                {{--                                        <button type="button"--}}
                                {{--                                                class="btn btn-success waves-effect waves-light">عرض--}}
                                {{--                                        </button>--}}
                                {{--                                    </a>--}}

                                {{--                                </td>--}}

                                {{--                                <td class="text-center">--}}
                                {{--                                    <input name="ids[]" value="{{$row->id}}" type="checkbox" id="checkAll">--}}
                                {{--                                </td>--}}
                            </tr>

                            {{--                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"--}}
                            {{--                             aria-labelledby="myModalLabel" aria-hidden="true">--}}
                            {{--                            <div class="modal-dialog">--}}
                            {{--                                <div class="modal-content">--}}
                            {{--                                    <div class="modal-header">--}}
                            {{--                                        <h5 class="modal-title"--}}
                            {{--                                            id="myModalLabel">حذف العنصر</h5>--}}
                            {{--                                        <button type="button" class="close" data-dismiss="modal"--}}
                            {{--                                                aria-hidden="true">×--}}
                            {{--                                        </button>--}}
                            {{--                                    </div>--}}
                            {{--                                    <div class="modal-body">--}}
                            {{--                                        <h5 class="font-16">هل تريد الحذف ؟</h5>--}}

                            {{--                                    </div>--}}
                            {{--                                    <div class="modal-footer">--}}

                            {{--                                        <form method="post" enctype="multipart/form-data"--}}
                            {{--                                              action="{{route('ad_orders.destroy',$row->id)}}">--}}
                            {{--                                            @csrf--}}
                            {{--                                            @method('DELETE')--}}
                            {{--                                            <button type="button" class="btn btn-light waves-effect"--}}
                            {{--                                                    data-dismiss="modal">إلغاء--}}
                            {{--                                            </button>--}}
                            {{--                                            <button type="submit"--}}
                            {{--                                                    class="btn btn-danger waves-effect waves-light">حذف--}}
                            {{--                                            </button>--}}
                            {{--                                        </form>--}}


                            {{--                                    </div>--}}
                            {{--                                </div><!-- /.modal-content -->--}}
                            {{--                            </div><!-- /.modal-dialog -->--}}
                            {{--                        </div><!-- /.modal -->--}}

                        @endforeach

                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div> <!-- end row -->



@stop
