@extends('admin.layout.master')
@section('title', " بيانات المزاد $row->title")
@section('content')


    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">{{'بيانات المزاد ' . $row->title}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">{{'بيانات المزاد ' . $row->title}}</h4>

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>رقم الاعلان</th>
                        <th>إسم المزاد</th>
                        <th>إسم صاحب المزاد</th>
                        <th>المدينة</th>
                        <th>القسم</th>
                        <th>نوع المزاد</th>
                        <th>حالة المزاد</th>
                        <th>الحالة</th>


                    </tr>
                    </thead>
                    <tbody>

                    <tr>

                    @php
                        $start_date = \Carbon\Carbon::parse($row->date);
                        $end_date = \Carbon\Carbon::parse($row->date)->addMinutes(30);
                    @endphp
                    <tr>
                        <td>{{$row->code}}</td>
                        <td>{{$row->title}}</td>
                        <td><a href="{{route('users.show',$row->user->id)}}">{{$row->user->username}}</a></td>
                        <td>{{$row->city ? $row->city->name['ar'] : "لم يتم ادخال المدينة او تم حذفها"}}</td>
                        <td>{{$row->category->name['ar']}}</td>
                        <td>{{$row->normal ? 'مزاد عادى' : 'مزاد مباشر'}}</td>
                        <td>
                            @if(\Carbon\Carbon::now() < $start_date)
                                قادم
                            @elseif($start_date <= \Carbon\Carbon::now() &&  $end_date >= \Carbon\Carbon::now())
                                حالى
                            @elseif($end_date < \Carbon\Carbon::now())
                                سابق
                            @endif
                        </td>
                        <td>
                            @if($row->status == 'active')
                                مفعل
                            @elseif($row->status == 'not_active')
                                غير مفعل
                            @elseif($row->status == 'cancel')
                                ملغى
                            @elseif($row->status == 'waiting')
                                فى الانتظار
                            @endif
                        </td>


                    </tr>


                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}


                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>الوصف</th>


                    </tr>
                    </thead>
                    <tbody>

                    <tr>


                    <tr>
                        <td>{{$row->description}}</td>


                    </tr>


                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}


                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>تاريخ البدء</th>
                        <th>تاريخ النهاية</th>
                        <th>عدد المشتركين</th>
                        <th>عدد المشاهدات</th>
                        <th>الفائز</th>
                        <th>حالة الدفع</th>


                    </tr>
                    </thead>
                    <tbody>

                    <tr>


                    <tr>
                        <td>{{$start_date}}</td>
                        <td>{{$end_date}}</td>
                        <td>{{$row->subscriptions()->count()}}</td>
                        <td>{{$row->watches()->count()}}</td>
                        <td>
                            {{$row->winner_id ? $row->winner->username : 'لم يتم تحديده بعد'}}
                        </td>
                        <td>
                            {{$row->paid == 'true' ? 'تم' : 'لم يتم بعد'}}
                        </td>


                    </tr>


                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">المشتركين فى المزاد</h4>

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الاسم</th>


                    </tr>
                    </thead>
                    <tbody>

                    @foreach($row->subscriptions as $user)
                        <tr>

                            <td>{{$loop->iteration}}</td>
                            <td><a href="{{route('users.show',$user->id)}}">{{$user->username}}</a></td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">الصور الخاصة بالمزاد</h4>

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الصورة</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($row->images as $image)
                        <tr>

                            <td>{{$loop->iteration}}</td>
                            <td><img style="width: 150px" src="{{$image->image}}"></td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">المزايدة الخاصة بالمزاد</h4>

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>مزايدة</th>
                        <th>صاحب المزايدة</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($row->bids()->latest()->get() as $bid)
                        <tr>

                            <td>{{$loop->iteration}}</td>
                            <td>{{$bid->price}}</td>
                            <td><a href="{{route('users.show',$bid->user->id)}}">{{$bid->user->username}}</a></td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>


            </div>

        </div>
    </div> <!-- end row -->



@stop
