@extends('admin.layout.master')
@section('title', " بيانات حراج $row->title")
@section('content')


    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">{{'بيانات حراج ' . $row->title}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">{{'بيانات الحراج ' . $row->title}}</h4>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>رقم الحراج</th>
                        <th>إسم الحراج</th>
                        <th>إسم صاحب الحراج</th>
                        <th>المدينة</th>
                        <th>القسم</th>
                        <th>السعر</th>
                        <th>رقم الجوال</th>
                        <th>الحالة</th>

                    </tr>
                    </thead>
                    <tbody>

                    <tr>

                        <td>{{$row->code}}</td>
                        <td>{{$row->title}}</td>
                        <td><a href="{{route('users.show',$row->user->id)}}">{{$row->user->username}}</a></td>
                        <td>{{$row->city ? $row->city->name['ar'] : "لم يتم ادخال المدينة او تم حذفها"}}</td>
                        <td>{{$row->category->name['ar']}}</td>
                        <td>{{$row->price}}</td>
                        <td>{{$row->mobile}}</td>
                        <td>{{
                            ($row->status == 'active') ? "مفعل" : "غير مفعل"
                            }}</td>


                    </tr>


                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}


                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>الوصف</th>


                    </tr>
                    </thead>
                    <tbody>

                    <tr>


                    <tr>
                        <td>{{$row->description}}</td>


                    </tr>


                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}


                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>الوصف</th>
                        <th>سنة الموديل</th>
                        <th>نوع المنتج</th>
                        <th>نوع الحراج</th>
                        <th>عدد البلاغات</th>


                    </tr>
                    </thead>
                    <tbody>

                    <tr>

                        <td>{{$row->description}}</td>
                        <td>{{$row->year ? $row->year : "لا يوجد"}}</td>
                        <td>{{$row->car_type ? $row->car_type : " لا يوجد"}}</td>
                        <td>{{$row->haraj_type ? $row->haraj_type->name['ar'] :"لا يوجد"}}</td>
                        <td>{{$row->report_count}}</td>


                    </tr>


                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">الصور الخاصة بالحراج</h4>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الصورة</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($row->images as $image)
                        <tr>

                            <td>{{$loop->iteration}}</td>
                            <td><img style="width: 150px" src="{{$image->image}}"></td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>


            </div>
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">كل التعليقات الخاصة بالحراج</h4>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>التعليق</th>
                        <th>صاحب التعليق</th>
                        <th>حذف</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($row->comments as $comment)
                        <tr>

                            <td>{{$loop->iteration}}</td>
                            <td>{{$comment->comment}}</td>
                            <td>{{$comment->user->username}}</td>
                            <td><a href="{{route('delete_comment',$comment->id)}}">
                                    <button class="btn btn-danger">حذف التعليق</button>
                                </a></td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>


            </div>


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">التعليقات المبلغ عنها</h4>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>التعليق</th>
                        <th>صاحب التعليق</th>
                        <th>التبليغات</th>
                        <th>حذف</th>


                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 0?>
                    @foreach($comments_report as $comment_report)
                        <tr>

                            <td>{{$loop->iteration}}</td>
                            <td>{{$comment_report->comment}}</td>
                            <td>{{$comment_report->user->username}}</td>
                            <td>
                                <a href="#report{{$comment_report->id}}" class="color-black" data-toggle="modal"
                                   data-target="#report{{$comment_report->id}}"> <strong>كل البلاغات</strong></a>
                            </td>
                            <td><a href="{{route('delete_comment',$comment_report->id)}}">
                                    <button class="btn btn-danger">حذف التعليق</button>
                                </a></td>
                        </tr>

                        <div class="modal fade text-center" id="report{{$comment_report->id}}" role="dialog">
                            <div class="modal-dialog signmodel">
                                <!-- Modal content-->
                                <div class="modal-content p-20">
                                    <div class="modal-body model-style">
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        <h3>
                                            التبليغات
                                        </h3>
                                        <div class="row">

                                            @foreach($comment_report->reports as $report)

                                                <div class="col-md-6"
                                                     style="margin-top: 30px; border: 1px #eee solid;padding: 0">

                                                    <p style="border-bottom: 1px #eee solid; margin: 0; padding: 5px">
                                                        <strong>اليلاغ : </strong>{{$report->note}}
                                                    </p>
                                                    <p style="border-bottom: 1px #eee solid; margin: 0; padding: 5px">
                                                        <strong>صاحب البلاغ : </strong>{{$report->user->username}}
                                                    </p>

                                                </div>

                                            @endforeach

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    @endforeach

                    </tbody>
                </table>


            </div>

        </div>
    </div> <!-- end row -->



@stop
