@extends('admin.layout.master')
@section('title', "المزادات الغير مفعلة")
@section('content')


    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المزادات الغير مفعلة</h4>
            </div>
        </div>
    </div>




    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <form method="POST" action="{{route('auction_search')}}" >
                    @csrf
                    <div class="form-group">
                        <label for="exampleInputEmail1">من تاريخ</label>
                        <input type="date" class="form-control" value="{{old('from')}}" name="from"
                               id="exampleInputEmail1">
                        @if ($errors->has('from'))
                            <small class="text-danger">{{ $errors->first('from') }}</small>
                        @endif
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">الى تاريخ</label>
                        <input type="date" class="form-control" value="{{old('to')}}" name="to"
                               id="exampleInputEmail1">
                        @if ($errors->has('to'))
                            <small class="text-danger">{{ $errors->first('to') }}</small>
                        @endif
                    </div>

                    <button type="submit" class="btn btn-success">بحث</button>
                </form>
            </div>
        </div>



        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title">المزادات الغير مفعلة</h4>

                <form method="POST" action="{{route('select_delete')}}">
                    @csrf
                    <input type="hidden" name="model" value="Auction">
                    <button style="margin-bottom: 15px; display: inline-block; float: left" type="submit"
                            class="btn btn-danger waves-effect waves-light"
                    >حذف
                    </button>
                    <div class="clearfix"></div>

                    <table id="example" class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr style="font-size: large ; font-family: cairo">
                            <th>#</th>
                            <th>كود</th>
                            <th>إسم المزاد</th>
                            <th>إسم صاحب المزاد</th>
                            <th>المدينة</th>
                            <th>القسم</th>
                            <th>نوع المزاد</th>
                            <th>حالة المزاد</th>
                            <th>الحالة</th>
                            <th>التحكم</th>
                            <th class="text-center"><input type="checkbox" id="checkAll"> تحديد الكل للحذف
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $i = 1;
                        ?>
                        @foreach($rows as $row)
                            @php
                                $start_date = \Carbon\Carbon::parse($row->date);
                                $end_date = \Carbon\Carbon::parse($row->date)->addMinutes(30);
                            @endphp
                            <tr>
                                <td>{{$i}}</td>
                                <td>{{$row->code}}</td>
                                <td>{{$row->title}}</td>
                                <td><a href="{{route('users.show',$row->user->id)}}">{{$row->user->username}}</a></td>
                                <td>{{$row->city ? $row->city->name['ar'] : "لم يتم ادخال المدينة او تم حذفها"}}</td>
                                <td>{{$row->category->name['ar']}}</td>
                                <td>{{$row->normal ? 'مزاد عادى' : 'مزاد مباشر'}}</td>
                                <td>
                                    @if(\Carbon\Carbon::now() < $start_date)
                                        قادم
                                    @elseif($start_date <= \Carbon\Carbon::now() &&  $end_date >= \Carbon\Carbon::now())
                                        حالى
                                    @elseif($end_date < \Carbon\Carbon::now())
                                        سابق
                                    @endif
                                </td>
                                <td>
                                    @if($row->status == 'active')
                                        مفعل
                                    @elseif($row->status == 'not_active')
                                        غير مفعل
                                    @elseif($row->status == 'cancel')
                                        ملغى
                                    @elseif($row->status == 'waiting')
                                        فى الانتظار
                                    @endif
                                </td>

                                <td>

                                    <a href="{{route('notActiveAuctions.edit',$row->id)}}">
                                        <button type="button"
                                                class="btn btn-info waves-effect waves-light">تعديل
                                        </button>
                                    </a>
                                    <a href="{{route('notActiveAuctions.show',$row->id)}}">
                                        <button type="button"
                                                class="btn btn-success waves-effect waves-light">عرض
                                        </button>
                                    </a>

                                </td>
                                <td class="text-center">
                                    <input name="ids[]" value="{{$row->id}}" type="checkbox" id="checkAll">
                                </td>
                            </tr>
                            <?php
                            $i++;
                            ?>

                        @endforeach

                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div> <!-- end row -->



@stop
