@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('settings.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')


                            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home"
                                       role="tab"
                                       aria-controls="pills-home" aria-selected="true">العربية</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link " id="pills-profile-tab" data-toggle="pill" href="#pills-profile"
                                       role="tab"
                                       aria-controls="pills-profile" aria-selected="false">الانجليزية</a>
                                </li>

                            </ul>
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active" id="pills-home" role="tabpanel"
                                     aria-labelledby="pills-home-tab">

                                    <div class="row">

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">الشروط والاحكام </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="terms_ar"> {{$row->terms ? $row->terms['ar'] : ''}} </textarea>
                                                @if ($errors->has('terms_ar'))
                                                    <small class="text-danger">{{ $errors->first('terms_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">سياسة الخصوصية </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="policy_ar"> {{$row->policy ? $row->policy['ar'] : ''}} </textarea>
                                                @if ($errors->has('policy_ar'))
                                                    <small class="text-danger">{{ $errors->first('policy_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">شروط الاعلان والسلع الممنوعة </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="banned_products_ar"> {{$row->banned_products ? $row->banned_products['ar'] : ''}} </textarea>
                                                @if ($errors->has('banned_products_ar'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('banned_products_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">السياسات الامنية </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="security_policies_ar"> {{$row->security_policies ? $row->security_policies['ar'] : ''}} </textarea>
                                                @if ($errors->has('security_policies_ar'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('security_policies_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">الاسئلة الشائعة </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="common_questions_ar"> {{$row->common_questions ? $row->common_questions['ar'] : ''}} </textarea>
                                                @if ($errors->has('common_questions_ar'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('common_questions_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">التعهد </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="pledge_ar"> {{$row->pledge ? $row->pledge['ar'] : ''}} </textarea>
                                                @if ($errors->has('pledge_ar'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('pledge_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>


                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">سياسة الاستخدام </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="police_ar"> {{$row->police ? $row->police['ar'] : ''}} </textarea>
                                                @if ($errors->has('police_ar'))
                                                    <small class="text-danger">{{ $errors->first('police_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputAuction_desAr">وصف المزاد</label>
                                                <textarea id="exampleInputAuction_desAr" class="form-control tinymce"
                                                          name="auction_des_ar"> {{$row->auction_des ? $row->auction_des['ar'] : ''}} </textarea>
                                                @if ($errors->has('auction_des_ar'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('auction_des_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputAuction_police_ar">سياسة الاستخدام الخاصة
                                                    بالمزاد</label>
                                                <textarea id="exampleInputAuction_police_ar"
                                                          class="form-control tinymce"
                                                          name="auction_police_ar"> {{$row->auction_police ? $row->auction_police['ar'] : ''}} </textarea>
                                                @if ($errors->has('auction_police_ar'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('auction_police_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputNormal_auction_description_ar">وصف المزاد الغير
                                                    مباشر</label>
                                                <textarea id="exampleInputNormal_auction_description_ar"
                                                          class="form-control tinymce"
                                                          name="normal_auction_description_ar"> {{$row->normal_auction_description ? $row->normal_auction_description['ar'] : ''}} </textarea>
                                                @if ($errors->has('normal_auction_description_ar'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('normal_auction_description_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputDirect_auction_description_ar">وصف المزاد
                                                    مباشر</label>
                                                <textarea id="exampleInputDirect_auction_description_ar"
                                                          class="form-control tinymce"
                                                          name="direct_auction_description_ar"> {{$row->direct_auction_description ? $row->direct_auction_description['ar'] : ''}} </textarea>
                                                @if ($errors->has('direct_auction_description_ar'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('direct_auction_description_ar') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                    </div><!-- end row -->


                                </div>


                                <div class="tab-pane fade" id="pills-profile" role="tabpanel"
                                     aria-labelledby="pills-profile-tab">


                                    <div class="row">

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">الشروط والاحكام </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="terms_en"> {{$row->terms ? $row->terms['en'] : ''}} </textarea>
                                                @if ($errors->has('terms_en'))
                                                    <small class="text-danger">{{ $errors->first('terms_en') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">سياسة الخصوصية </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="policy_en"> {{$row->policy ? $row->policy['en'] : ''}} </textarea>
                                                @if ($errors->has('policy_en'))
                                                    <small class="text-danger">{{ $errors->first('policy_en') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">شروط الاعلان والسلع الممنوعة </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="banned_products_en"> {{$row->banned_products ? $row->banned_products['en'] : ''}} </textarea>
                                                @if ($errors->has('banned_products_en'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('banned_products_en') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">السياسات الامنية </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="security_policies_en"> {{$row->security_policies ? $row->security_policies['en'] : ''}} </textarea>
                                                @if ($errors->has('security_policies_en'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('security_policies_en') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">الاسئلة الشائعة </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="common_questions_en"> {{$row->common_questions ? $row->common_questions['en'] : ''}} </textarea>
                                                @if ($errors->has('common_questions_en'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('common_questions_en') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceAr">التعهد </label>
                                                <textarea id="exampleInputPoliceAr" class="form-control tinymce"
                                                          name="pledge_en"> {{$row->pledge ? $row->pledge['en'] : ''}} </textarea>
                                                @if ($errors->has('pledge_en'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('pledge_en') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputPoliceEn">سياسة الاستخدام </label>
                                                <textarea id="exampleInputPoliceEn" class="form-control tinymce"
                                                          name="police_en"> {{$row->police ? $row->police['en'] : ''}} </textarea>
                                                @if ($errors->has('police_en'))
                                                    <small class="text-danger">{{ $errors->first('police_en') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputAuction_desEn">وصف المزاد</label>
                                                <textarea id="exampleInputAuction_desEn" class="form-control tinymce"
                                                          name="auction_des_en"> {{$row->auction_des ? $row->auction_des['en'] : ''}} </textarea>
                                                @if ($errors->has('auction_des_en'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('auction_des_en') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputAuction_police_en">سياسة الاستخدام الخاصة
                                                    بالمزاد</label>
                                                <textarea id="exampleInputAuction_police_en"
                                                          class="form-control tinymce"
                                                          name="auction_police_en"> {{$row->auction_police ? $row->auction_police['en'] : ''}} </textarea>
                                                @if ($errors->has('auction_police_en'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('auction_police_en') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputNormal_auction_description_en">وصف المزاد الغير
                                                    مباشر</label>
                                                <textarea id="exampleInputNormal_auction_description_en"
                                                          class="form-control tinymce"
                                                          name="normal_auction_description_en"> {{$row->normal_auction_description ? $row->normal_auction_description['en'] : ''}} </textarea>
                                                @if ($errors->has('normal_auction_description_en'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('normal_auction_description_en') }}</small>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="exampleInputDirect_auction_description_en">وصف المزاد
                                                    مباشر</label>
                                                <textarea id="exampleInputDirect_auction_description_en"
                                                          class="form-control tinymce"
                                                          name="direct_auction_description_en"> {{$row->direct_auction_description ? $row->direct_auction_description['en'] : ''}} </textarea>
                                                @if ($errors->has('direct_auction_description_en'))
                                                    <small
                                                        class="text-danger">{{ $errors->first('direct_auction_description_en') }}</small>
                                                @endif
                                            </div>
                                        </div>

                                    </div><!-- end row -->


                                </div>
                            </div>


                            <div class="form-group">
                                <label for="exampleInputHaraj_commission">عمولة حراج</label>
                                <input type="text" class="form-control"
                                       value="{{$row->haraj_commission}}" required
                                       name="haraj_commission"
                                       id="exampleInputHaraj_commission"
                                       placeholder="عمولة حراج">
                                @if ($errors->has('haraj_commission'))
                                    <small class="text-danger">{{ $errors->first('haraj_commission') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputFb">فيس بوك</label>
                                <input type="text" class="form-control"
                                       value="{{$row->fb}}"
                                       name="fb"
                                       id="exampleInputFb"
                                       placeholder="فيس بوك">
                                @if ($errors->has('fb'))
                                    <small class="text-danger">{{ $errors->first('fb') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputTwitter">تويتر</label>
                                <input type="text" class="form-control"
                                       value="{{$row->twitter}}"
                                       name="twitter"
                                       id="exampleInputTwitter"
                                       placeholder="تويتر">
                                @if ($errors->has('twitter'))
                                    <small class="text-danger">{{ $errors->first('twitter') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputTwitter">سناب</label>
                                <input type="text" class="form-control"
                                       value="{{$row->snap}}"
                                       name="snap"
                                       id="exampleInputTwitter"
                                       placeholder="سناب">
                                @if ($errors->has('snap'))
                                    <small class="text-danger">{{ $errors->first('snap') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputTwitter">تلجرام</label>
                                <input type="text" class="form-control"
                                       value="{{$row->telegram}}"
                                       name="telegram"
                                       id="exampleInputTwitter"
                                       placeholder="تلجرام">
                                @if ($errors->has('telegram'))
                                    <small class="text-danger">{{ $errors->first('telegram') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputTwitter">واتس اب</label>
                                <input type="text" class="form-control"
                                       value="{{$row->whatsapp}}"
                                       name="whatsapp"
                                       id="exampleInputTwitter"
                                       placeholder="واتس اب">
                                @if ($errors->has('whatsapp'))
                                    <small class="text-danger">{{ $errors->first('whatsapp') }}</small>
                                @endif
                            </div>
{{--                            <div class="form-group">--}}
{{--                                <label for="exampleInputGoogle">جوجل</label>--}}
{{--                                <input type="text" class="form-control"--}}
{{--                                       value="{{$row->google}}"--}}
{{--                                       name="google"--}}
{{--                                       id="exampleInputGoogle"--}}
{{--                                       placeholder="جوجل">--}}
{{--                                @if ($errors->has('google'))--}}
{{--                                    <small class="text-danger">{{ $errors->first('google') }}</small>--}}
{{--                                @endif--}}
{{--                            </div>--}}

{{--                            <div class="form-group">--}}
{{--                                <label for="exampleInputInstagram">انستجرام</label>--}}
{{--                                <input type="text" class="form-control"--}}
{{--                                       value="{{$row->instagram}}"--}}
{{--                                       name="instagram"--}}
{{--                                       id="exampleInputInstagram"--}}
{{--                                       placeholder="انستجرام">--}}
{{--                                @if ($errors->has('instagram'))--}}
{{--                                    <small class="text-danger">{{ $errors->first('instagram') }}</small>--}}
{{--                                @endif--}}
{{--                            </div>--}}

{{--                            <div class="form-group">--}}
{{--                                <label for="exampleInputLinkedin">لينكدان</label>--}}
{{--                                <input type="text" class="form-control"--}}
{{--                                       value="{{$row->linkedin}}"--}}
{{--                                       name="linkedin"--}}
{{--                                       id="exampleInputLinkedin"--}}
{{--                                       placeholder="لينكدان">--}}
{{--                                @if ($errors->has('linkedin'))--}}
{{--                                    <small class="text-danger">{{ $errors->first('linkedin') }}</small>--}}
{{--                                @endif--}}
{{--                            </div>--}}
                            <div class="form-group">
                                <label for="exampleInputVideo">فيديو</label>
                                <br>
                                <textarea class="form-control"
                                          name="video"> {{$row->video ? $row->video : ''}} </textarea>
                                @if ($errors->has('video'))
                                    <small class="text-danger">{{ $errors->first('video') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputVideo">عرض الفيديو</label>
                                <br>
                                <input type="checkbox" name="show_video" value="1" {{$row->show_video ? 'checked' : ''}}>
                                @if ($errors->has('video'))
                                    <small class="text-danger">{{ $errors->first('show_video') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>


        </div><!-- end col -->
    </div>



@stop
