@extends('admin.layout.master')
@section('title', " المستخدم $row->name")
@section('content')


    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">{{'المستخدم ' . $row->name}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">{{'المستخدم ' . $row->name}}</h4>

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: larger;font-family: cairo">
                        <th>الإسم</th>
                        <th>رقم الجوال</th>
                        <th>البريدالالكترونى</th>
                        <th>الحالة</th>
                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->username}}</td>
                        <td>{{$row->mobile}}</td>
                        <td>{{$row->email}}</td>
                        <td>{{
                            ($row->status == 'active') ? "مفعل" : "غير مفعل"
                            }}</td>
                    </tr>

                    </tbody>
                </table>

                <h4 class="header-title">بيانات الحساب البنكى</h4>

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: larger;font-family: cairo">
                        <th>اسم البنك</th>
                        <th>الحساب البنكي IBAN</th>
{{--                        <th>رقم الإيبان</th>--}}
                        <th>إسم صاحب الحساب الثلاثى</th>

                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->bank_name ?  $row->bank_name : 'لا يوجد'}}</td>
                        <td>{{$row->bank_account}}</td>
{{--                        <td>{{$row->iban_number}}</td>--}}
                        <td>{{$row->account_name}}</td>

                    </tr>

                    </tbody>
                </table>


            </div>
            <div class="card-box">
                <h4 class="header-title">مزاداتى</h4>
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>اسم المزاد</th>
                        <th>حالة المزاد</th>
                        <th>التحكم</th>

                    </tr>
                    </thead>
                    <tbody>
                    @foreach($row->auctions()->get() as $auction)

                        <tr>
                            <td>{{$auction->title}}</td>
                            <td>
                                @if(\Carbon\Carbon::now() < \Carbon\Carbon::parse($auction->date))
                                    مزاد قادم
                                @elseif(\Carbon\Carbon::parse($auction->date) <= \Carbon\Carbon::now() &&  \Carbon\Carbon::parse($auction->date)->addMinutes(30) >= \Carbon\Carbon::now())
                                    مزاد حالى
                                @elseif(\Carbon\Carbon::parse($auction->date)->addMinutes(30) < \Carbon\Carbon::now())
                                    مزاد سابق
                                @endif
                            </td>
                            <td></td>

                        </tr>
                    @endforeach

                    </tbody>
                </table>
            </div>
            <div class="card-box">
                <h4 class="header-title">حراجاتى</h4>
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>اسم الاعلان</th>
                        <th>حالة الاعلان</th>
                        <th>التحكم</th>

                    </tr>
                    </thead>
                    <tbody>
                    @foreach($row->harajs()->get() as $haraj)

                        <tr>
                            <td>{{$haraj->title}}</td>
                            <td>
                                @if($haraj->status)
                                    مفعل
                                @else
                                    غير مفعل
                                @endif
                            </td>
                            <td></td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
