@include('site.controllers.upper-header')


@include('site.controllers.header')

<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong>@lang('site.auctionDetails')</strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('site.home') </a></li>
                <li class="breadcrumb-item active" aria-current="page">@lang('site.auctionDetails')</li>
            </ol>
        </nav>
    </article>
</section>
<div class="container">
    <div class="row">
        <div class="col-sm-12">
            <!-- slider -->
            <!-- to be displayed correctly both section must have same image src
            the loop will be done twice
            -->
            <div class="slider-for">
                @foreach($row->images()->get() as $image )
                    <section>
                        <img class="img-responsive h-50" src="{{$image->image}}" alt="">
                    </section>
                @endforeach

            </div>
            <div class="slider-nav">
                @foreach($row->images()->get() as $image )
                    <div class="item ">
                        <img class="img-responsive" src="{{$image->image}}" alt="">
                    </div>
                @endforeach

            </div>

            <div class="sharethis-sticky-share-buttons"></div>
        </div>
        <!-- <div class="col-md-7">
            <section class="product-card">
                <div class="row">
                    <div class="col-sm-12 padding-adjust">
                        <h4><strong>Pre owned rolex</strong></h4>
                        <p> <img src="images/saudi.svg" class="mb-4" width="20px" alt=""> <span class="px-10 size-10 color-gray">Rolex watches</span> - <span class="px-10 size-10 color-gray">Saudi Arabia</span> <span class="rate">4.5 <i class="icon-star"></i></span></p>
                        <p class="mt-20">Lorem ipsum dolor sit amet consectetur adipisicing elit. Error unde sequi nobis asperiores eos quidem saepe consequuntur sint, atque dignissimos, ut perferendis commodi rerum aspernatur ratione doloremque ipsam quibusdam similique!</p>
                    </div>
                    <div class="col-sm-12 padding-adjust">
                        <h5 class="mt-20"><strong>Product Details</strong></h5>
                        <ul>
                            <li><p><strong>Year: </strong><span>2020</span></p></li>
                            <li><strong>Shape: </strong><span>Rounded</span></li>
                            <li><strong>Weight: </strong><span>10gm</span></li>
                        </ul>
                    </div>

                    <div class="btn-group mt-30" role="group" aria-label="...">
                        <button type="button" class="btn btn-default text-center"><a href="messages.php"><i class="icon-message_square"></i><span class="px-10">Send Message</span></a></button>
                        <button type="button" class="btn btn-default text-center is-favorite"><i class="icon-heart"></i><span class="px-10">Favorite</span></button>
                        <button type="button" class="btn btn-default text-center"><i class="icon-whatsapp"></i><span class="px-10">Send Whatsapp</span></button>
                        <button type="button" class="btn btn-default text-center"><i class="icon-flag"></i><span class="px-10">Report</span></button>

                    </div>
                </div>
            </section>
        </div> -->
    </div>
</div>
<div class="container">
    <div class="row">
        <div class="col-sm-8">
{{--            <h5 class="mb-20 d-flex space-between"><strong>{{$row->title}}</strong>--}}
                <span><i class="color-primary icon-total size-24"></i> <span
                        class="size-12 color-gray">{{$row->bids()->count() > 0 ? $row->bids()->orderByDesc('id')->value('price') : 0}}   @lang('site.moneySum')</span></span>
            </h5>

{{--            <span>#{{$row->code}}</span>--}}

            <article class="gray-bg my-10">

                <h5><strong>{{$row->title}}</strong></h5>
                <span>#{{$row->code}}</span>


                <ul>
                    @if($row->price)
                        <li class="d-flex space-between l-h-25"><strong>@lang('site.soldTo') </strong><strong
                                class="color-primary">{{$row->price}}
                                @lang('site.ryal')</strong></li>
                    @endif
                    <hr class="my-10">
                    <li class="d-flex space-between l-h-25">
                        <span>@lang('site.auctionDuration')</span><strong>@lang('site.duration')</strong></li>
                    <li class="d-flex space-between l-h-25">
                        <span>@lang('site.city')</span><strong>{{get_city($row->city_id)}}</strong></li>
                    <li class="d-flex space-between l-h-25">
                        <span>@lang('site.auctionType')</span><strong

                        @if($row->type == 'direct') style="color: red" @else style="color: green"  @endif

                        >{{$row->type == 'direct' ? trans('site.direct_auction') : trans('site.normalAuction')}}</strong>
                    </li>
                    <li class="d-flex space-between l-h-25">
                        <span>@lang('site.paidMoney')</span><strong>{{$row->price ? $row->price . " ". Lang::get('site.ryal') : trans('site.notPaidYet')}}</strong>
                    </li>
                    @if(\Auth::check() && $row->winner_id == \Auth::user()->id)

                        <li class="d-flex space-between l-h-25">
                            <span>@lang('site.ownerMobile')</span><strong>{{$row->user->mobile}}</strong>
                        </li>
                    @endif

                </ul>
            </article>
            <hr class="mt-20">
            @php
                $start_date = \Carbon\Carbon::parse($row->date);
                $end_date = \Carbon\Carbon::parse($row->date)->addMinutes(30);
            @endphp
            @if(Auth::check() && Auth::user()->subscription_auctions->contains($row) && $start_date <= \Carbon\Carbon::now() &&  $end_date >= \Carbon\Carbon::now())

                @if(\Auth::check() && \Auth::user()->id != $row->user_id)
                    <div id="paid_hidden" class="row">
                        <div class="col-xs-1">
                            <img src="{{asset('site/images/vectors/bidder.png')}}" class=" mx-auto gray" width="100%"
                                 alt="">
                        </div>
                        <div class="col-xs-7">
                            <div class="input-group">
                                <input id="bidInput"
                                       data-auction_id="{{$row->id}}"
                                       data-user_id="{{Auth::user()->id}}"
                                       data-username="{{\Auth::user()->username}}"
                                       data-bidTime="{{\Carbon\Carbon::now()->diffForHumans()}}"
                                       min="0" type="number" class="form-control"
                                       placeholder="@lang('site.enterTheSumOfTheSum')">
                                <span class="input-group-btn">
                                <button id="sendBid" class="btn btn-primary pa-9" type="button"><i
                                        class="fa fa-paper-plane"></i></button>
                            </span>
                                <input type="hidden" id="old_bid">
                            </div>
                        </div>
                    </div>
                @endif
            @endif
            <hr class="mt-20">


            <section class=" mt-30 mb-60" id="bidSection">
                @foreach($bids as $bid)
                    <div class="row">
                        <div class="col-sm-12 ">
                            <i class="icon-userr color-primary"></i> <strong
                                class="size-12">{{$bid->user->username}}</strong>
                        </div>
                        <div class="col-sm-12 ">
                            <i class=" icon-clock color-primary"></i> <span
                                class="size-12 color-gray">{{\Carbon\Carbon::parse($bid->created_at)->diffForHumans()}}</span>
                        </div>
                        <div class="col-sm-9 ">
                            <p><span
                                    class="size-12 color-gray my-10"> @lang('site.addedSumSumOff') {{$bid->price}} @lang('site.ryal')</span>
                            </p>
                        </div>
                        <div class="col-sm-3 text-reverse">
                            @if($row->type == 'normal' && Auth::check() && Auth::user()->id == $row->user_id && !$row->price)
                                <button href="#confirmation_{{$bid->id}}" data-toggle="modal"
                                        data-target="#confirmation_{{$bid->id}}"
                                        class="btn btn-default">
                                    @lang('site.ConfirmSale')
                                </button>
                            @endif
                        </div>
                    </div>
                    <hr class="my-10">
                    <div class="modal fade text-center" id="confirmation_{{$bid->id}}" role="dialog"
                         aria-labelledby="myModalLabel" aria-hidden="true">
                        <div class="modal-dialog signmodel">
                            <div class="modal-content">
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                <img src="{{asset('site/images/green/offers.png')}}" alt="">
                                <h4 class="mb-20 mt-30"><strong>@lang('site.sellAuction')</strong></h4>
                                <form method="POST" action="{{route('confirmation_sale')}}">
                                    {{csrf_field()}}
                                    <input type="hidden" name="auction_id" value="{{$row->id}}">
                                    <input type="hidden" name="bid_id" value="{{$bid->id}}">
                                    <button type="submit" class="btn btn-primary">{{trans('site.accept')}}</button>
                                    <button data-dismiss="modal" type="button"
                                            class="btn btn-danger">{{trans('site.refuse')}}</button>
                                </form>
                            </div>
                        </div>
                    </div>

                @endforeach
            </section>

            <hr class="mt-20">


        </div>

        <div class="col-sm-4">
            <section class="auction-timer">

                @if(\Carbon\Carbon::now() < $start_date)
                    <h5 class="text-center"><strong>{{trans('site.auctionStartAt')}}</strong></h5>
                    <section id="demo" class="timer mx-auto"></section>
                @elseif($start_date <= \Carbon\Carbon::now() &&  $end_date >= \Carbon\Carbon::now())
                    <h5 class="text-center"><strong>{{trans('site.auctionEndAt')}}</strong></h5>
                    <section id="demo1" class="timer mx-auto"></section>
                @elseif($end_date < \Carbon\Carbon::now())

                    <h5 class="text-center"><strong>@lang('site.auctionEnd')</strong></h5>
                    <section class="timer mx-auto">@lang('site.auctionEnded')</section>
            @endif
            {{--                    <section class="timer mx-auto">--}}
            {{--                        <ul class="d-flex">--}}
            {{--                            <li>--}}
            {{--                                <div class="seconds"></div>--}}
            {{--                            </li>--}}
            {{--                            <li>--}}
            {{--                                <div class="minutes"></div>--}}
            {{--                            </li>--}}

            {{--                            <!-- YOU CAN CONTROL WHAT APPEARS .... -->--}}


            {{--                            <!-- <li><div class="hours"></div></li>--}}
            {{--                            <li><div class="days"></div></li> -->--}}


            {{--                        </ul>--}}
            {{--                    </section>--}}
            <!-- <section class="timer">
                        <ul class="d-flex">
                            <li><strong class="color-primary">30</strong><br><strong class="color-black">ثانيه</strong></li><span class="color-gray">|</span>
                            <li><strong class="color-primary">30</strong><br><strong class="color-black">دقيقه</strong></li><span class="color-gray">|</span>
                            <li><strong class="color-primary">30</strong><br><strong class="color-black">ساعه</strong></li>
                        </ul>
                    </section> -->
                <hr class="my-10">
                <ul>
                    <li class="mb-10"><i class="color-primary icon-active size-24"></i><strong
                            class="color-primary"
                            id="subscriptionsCount">{{$row->subscriptions()->count()}}</strong><span
                            class="color-gray px-10">@lang('site.activeBidder')</span></li>
                    <li class="mb-10"><i class="color-primary icon-reviews size-24"></i><strong
                            class="color-primary" id="watchesCount">{{$row->watches()->count()}}</strong><span
                            class="color-gray px-10">@lang('site.watchesCount')</span>
                    </li>
                    {{--                    <li class="mb-10"><i class="color-primary icon-total size-24"></i><strong--}}
                    {{--                            class="color-primary"--}}
                    {{--                            id="totalBid">{{$row->bids()->count() > 0 ? $row->bids()->orderByDesc('id')->value('price') : 0}}</strong><span--}}
                    {{--                            class="color-gray px-10">@lang('site.moneySum')</span>--}}
                    {{--                    </li>--}}
                </ul>

            </section>


            <section class="auction-timer text-center">
                <h5><strong>{{trans('site.auctionType')}}</strong></h5>
                <button class="btn btn-danger mx-auto">
                    @if($start_date <= \Carbon\Carbon::now() &&  $end_date >= \Carbon\Carbon::now())
                        {{trans('site.currentAuctions')}}
                    @elseif($start_date > \Carbon\Carbon::now())
                        {{trans('site.nextAuctions')}}
                    @elseif($end_date < \Carbon\Carbon::now() )
                        {{trans('site.previousAuctions')}}
                    @endif
                </button>

            </section>

            <article class="gray-bg my-10">
                <ul class="d-flex space-between" style="
                 display: table;
    align-items: center;
    width: 100%;
    margin: 0 auto;
    text-align: center;">

                    @if(Auth::check() && Auth::user()->id == $row->user_id)
                        <li style="    margin: 0 15px;
    display: inline-block;"><a href="{{route('edit_auction', $row->id)}}">
                                @lang('site.editAuction')
                            </a>
                        </li>
                    @endif

                    @if(Auth::check() && Auth::user()->id != $row->user_id)
                        <li style="    margin: 0 15px;
    display: inline-block;"><a href="#report" data-toggle="modal" data-target="#report"><i
                                    class="fa fa-flag color-gray size-24"></i></a></li>
                    @endif

                    @if(Auth::check() && Auth::user()->id != $row->user_id)
                        <li style="    margin: 0 15px;
    display: inline-block;"><a href="#sendMessage" data-toggle="modal" data-target="#sendMessage"><i
                                    class="icon-mail color-gray size-24"></i></a></li>
                    @endif

                    <li style=" cursor:pointer; margin: 0 15px;
                        display: inline-block;" onclick="favourite_auction({{$row->id}})">
                        <small class="favourite_count">{{$row->favourites()->count()}}</small>
                        <i id="favourite_element"
                           class="fa @if(\Auth::check() && checkUserFavAuction($row->id) == 'false') fa-heart-o  @elseif(Auth::check()) fa-heart @else fa-heart-o @endif size-24"
                           style="color: red"></i>
                    </li>

                        @if(\Auth::check() && $row->user_id == \Auth::user()->id)
                        <li style=" cursor:pointer; margin: 0 15px;
                        display: inline-block;">

                            <a href="#deleteAd" data-toggle="modal" data-target="#deleteAd"><i
                                    class="icon-trash color-gray size-24"></i></a>
                        </li>
                        @endif


                    @if(\Auth::check() && $row->winner_id == \Auth::user()->id)
                        <li style="    margin: 0 15px;
    display: inline-block;">
                            <a href="https://api.whatsapp.com/send?phone={{$row->user->country_code.$row->user->mobile}}"
                               target="_blank"><i
                                    class="icon-whatsapp color-gray size-24"></i></a></li>
                    @endif

                    {{--                    <li><a href="#"><i class="icon-twitter-1 color-gray size-24"></i></a></li>--}}
                </ul>
            </article>
            <div class="row">
                <div class="col-md-6">
                    @if(Auth::check() && !Auth::user()->subscription_auctions->contains($row) && \Auth::id() != $row->user_id  )
                        @if($start_date <= \Carbon\Carbon::now() &&  $end_date > \Carbon\Carbon::now() || $start_date > \Carbon\Carbon::now() )
                            <section class="text-reverse">
                                <a href="{{route('subscribe_auction',$row->id)}}">
                                    <button type="button" class="btn btn-primary mt-20">
                                        {{trans('site.subscribeAuction')}}
                                    </button>
                                </a>

                            </section>
                        @endif
                    @endif
                </div>
                <div class="col-md-6">
                    @if($row->code_recieve !='true' && \Auth::check() && \Auth::user()->id == $row->user_id && $row->paid == 'true')
                        <section style="margin-top: 20px;" class="text-reverse">


                            <a href="{{route('delivery_codes',$row->id)}}"
                               class="btn btn-success">   @lang('site.auctionReceiveCode') </a>


                        </section>
                    @endif
                </div>
            </div>


        </div>
    </div>
    <!-- Members -->
    <div class="row mt-30">
        <div class="col-sm-12">
            <section class="gray-bg my-10">
                <div class="row">
                    <div class="col-sm-6">
                        <ul class="nav nav-tabs">

                            <li class="active">
                                <button class="btn btn-default mx-5" data-toggle="tab" href="#auction-description">
                                    <strong>{{trans('site.auctionDescription')}}</strong></button>
                            </li>

                            <li>
                                <button class="btn btn-default mx-5" data-toggle="tab" href="#auction-explanation">
                                    <strong>@lang('site.auctionDescribe')</strong></button>
                            </li>

                        </ul>
                        <p class="color-red mt-20"><strong>@lang('site.auctionCommission')%</strong></p>
                    </div>
                    <div class="col-sm-6">
                        <p class="mt-10"><strong>@lang('site.auctionStartCondition')</strong></p>
                        <p class="color-red mt-20"><strong>@lang('site.auctionCondition')</strong></p>
                    </div>
                </div>
            </section>
        </div>
    </div>

    <div class="row mb-60">
        <div class="col-sm-12">

            <div class="tab-content">
                <!-- auction-description -->
                <div id="auction-description" class="tab-pane fade in active">
                    <article class=" mt-20">
                        <h5 class="color-primary"><strong>{{trans('site.description')}}</strong></h5>
                        <p class="color-gray mt-20">
                            {{$row->description}}


                        </p>
                    </article>
                </div>
                <!-- auction-explanation -->
                <div id="auction-explanation" class="tab-pane fade">
                    <article class=" mt-20">
                        <h5 class="color-primary"><strong>@lang('site.normalDescription')</strong></h5>
                        <p class="color-gray mt-20">
                            {!!    $setting ? $setting->normal_auction_description[Lang::getLocale()] : '' !!}
                        </p>
                    </article>
                    <article class=" mt-20">
                        <h5 class="color-primary"><strong>@lang('site.directDescription')</strong></h5>
                        <p class="color-gray mt-20">
                            {!! $setting ? $setting->direct_auction_description[Lang::getLocale()] : ''!!}
                        </p>
                    </article>
                </div>
            </div>


        </div>
    </div>
</div>


<div class="modal fade text-center" id="sendMessage" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog text-justify">
        <div class="modal-content">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h5>@lang('site.speedMessage') :</h5>
            <h4 class="mb-20"><strong>{{$row->user->username}}</strong></h4>
            <form method="post" action="{{route('send_speed_message',$row->user->id)}}">
                @csrf
                <textarea name="message" required id="" cols="30" rows="6"
                          placeholder="@lang('site.writeMessage') .."></textarea>
                <button type="submit" class="btn btn-primary mt-20">@lang('site.send')</button>

            </form>

        </div>
    </div>
</div>

<div class="modal fade text-center" id="deleteAd" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog text-justify">
        <div class="modal-content">
            <button type="button" class="close" data-dismiss="modal">&times;</button>

            <h4>هل تريد حذف الإعلان</h4>


            <a href="{{route('delete_auction',$row->id)}}">
                <button type="button" class="btn btn-danger">حذف</button>
            </a>
            <button type="button" class="btn btn-success" data-dismiss="modal">إلغاء</button>

        </div>
    </div>
</div>




<div class="modal fade text-center" id="report" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog text-justify">
        <div class="modal-content">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="mb-20"><strong>@lang('site.reportAd')</strong></h4>
            <form method="post" action="{{route('report_auction',$row->id)}}" enctype="multipart/form-data">
                {{csrf_field()}}
                <textarea name="note" required cols="30" rows="6"
                          placeholder="@lang('site.reportBody') ..">{{old('note')}}</textarea>
                <button type="submit" class="btn btn-primary mt-20">@lang('site.sendReport')</button>
            </form>

        </div>
    </div>
</div>


@include('site.controllers.footer')

<script src="{{asset('site/js/socket.io.js')}}" type="text/javascript"></script>
{{--<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.js"></script>--}}

<script>
    $('#bidInput').on('input', function () {
        $(this).val($(this).val().replace(/[^a-z0-9]/gi, ''));
    });

    $(document).ready(function () {


        var socket = io('https://som-sa.com:8088', {secure: true, origins: "https://som-sa.com:*"});


        socket.on('newBid', function (data) {

            const audio = new Audio("./assets/notification.mp3");

            console.log(data);
            $('#bidInput').val('');

            $("#totalBid").html(data.price);
            $("#subscriptionsCount").html(data.subscriptionsCount);
            $("#watchesCount").html(data.watchesCount);
            var newBid = '<div class="row">' +
                '  <div class="col-sm-12 ">' +
                ' <i class="icon-userr color-primary"></i>' +
                '<strong class="size-12">' + data.username + '</strong>' +
                '  </div>' +
                '  <div class="col-sm-12 ">' +
                '        <i class=" icon-clock color-primary"></i> ' +
                '<span class="size-12 color-gray">' + data.bidTime + '</span>' +
                '    </div>' +
                '    <div class="col-sm-9 ">' +
                '        <p><span class="size-12 color-gray my-10"> @lang('site.addedSumSumOff') ' + data.price + ' @lang('site.ryal') </span> </p>' +
                '    </div>' +
                '   <div class="col-sm-3 text-reverse">' +
                '       @if($row->type == 'normal' && Auth::check() && Auth::user()->id == $row->user_id && !$row->price)' +
                '       <button href="#confirmation_' + data.id + '" data-toggle="modal"' +
                '                data-target="#confirmation_' + data.id + '"' +
                '                class="btn btn-default">@lang('site.confirmTheSale') </button>' +
                '        @endif' +
                '    </div>' +
                '</div>' +
                ' <hr class="my-10">' +
                '    <div class="modal fade text-center" id="confirmation_' + data.id + '" role="dialog"' +
                '         aria-labelledby="myModalLabel" aria-hidden="true">' +
                '        <div class="modal-dialog signmodel">' +
                '            <div class="modal-content">' +
                '               <button type="button" class="close" data-dismiss="modal">&times;</button>' +
                '                <img src="{{asset('site/images/green/offers.png')}}" alt="">' +
                '                    <h4 class="mb-20 mt-30"><strong>@lang('site.sellAuction')</strong></h4>' +
                '                    <form method="POST" action="{{route('confirmation_sale')}}">' +
                '                        {{csrf_field()}}' +
                '                        <input type="hidden" name="auction_id" value="' + data.auction_id + '">' +
                '                        <input type="hidden" name="bid_id" value="' + data.id + '">' +
                '                           <button type="submit" class="btn btn-primary">{{trans('site.accept')}}</button>' +
                '                            <button data-dismiss="modal" type="button"' +
                '                                    class="btn btn-danger">{{trans('site.refuse')}}</button>' +
                '                    </form>' +
                '            </div>' +
                '        </div>' +
                '    </div>'
            ;


            $('#bidSection').prepend(newBid);
// $('#messagesSection').append(messageHtml);


        })

        socket.on('fireError', function (message) {
            Swal.fire({
                title: '@lang('site.error')',
                text: message,
                icon: 'error',
                confirmButtonText: '@lang('site.ok')'
            });
        });

//----------------------------------


        $(document).on('keypress', '#bidInput', function (e) {
            var key = e.which;
            if (key == 13)  // the enter key code
            {
                sendBid();
            }

        });

        $(document).on('click', '#sendBid', function (e) {
            e.preventDefault();
            sendBid();
        });


        function sendBid(userId) {
// console.log(userId);
            var inputObject = $('#bidInput'),
                price = inputObject.val(),
                auction_id = inputObject.attr('data-auction_id'),
                user_id = inputObject.attr('data-user_id'),
                username = inputObject.attr('data-username'),
                bidTime = inputObject.attr('data-bidTime')
// console.log(inputObject.val());


            if (price != '') {
                socket.emit('sendBid', {
                    user_id: user_id,
                    auction_id: auction_id,
                    price: price,
                    username: username,
                    bidTime: bidTime
                })

            }

        }
    });


    // ------------------------------------------------------------

    @if($start_date <= \Carbon\Carbon::now() &&  $end_date >= \Carbon\Carbon::now())

    // Set the date we're counting down to
    var countDownDate1 = new Date("{{\Carbon\Carbon::parse($row->date)->addMinutes(30)->format('d M Y H:i:s P')}}").getTime();

    // Update the count down every 1 second
    var x = setInterval(function () {

// Get today's date and time
        var now1 = new Date().getTime();

// Find the distance between now and the count down date
        var distance1 = countDownDate1 - now1;

// Time calculations for days, hours, minutes and seconds
// var days1 = Math.floor(distance1 / (1000 * 60 * 60 * 24));
// var hours1 = Math.floor((distance1 % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
        var minutes1 = Math.floor((distance1 % (1000 * 60 * 60)) / (1000 * 60));
        var seconds1 = Math.floor((distance1 % (1000 * 60)) / 1000);


// Output the result in an element with id="demo"
        document.getElementById("demo1").innerHTML = minutes1 + " @lang('site.minute') | " + seconds1 + " @lang('site.aSecond') ";

// If the count down is over, write some text
        if (distance1 < 0) {
            clearInterval(x);

            document.getElementById("demo1").innerHTML = "@lang('site.theAuctionHasEnded')";
            document.getElementById("paid_hidden").style.display = "none";

            location.reload();


        }
    }, 1000);

    @endif
    // ------------------------------------------------------------

    @if($start_date > \Carbon\Carbon::now())

    // Set the date we're counting down to
    var countDownDate = new Date("{{\Carbon\Carbon::parse($row->date)->format('d M Y H:i:s P')}}").getTime();

    // Update the count down every 1 second
    var x = setInterval(function () {

// Get today's date and time
        var now = new Date().getTime();

// Find the distance between now and the count down date
        var distance = countDownDate - now;

// Time calculations for days, hours, minutes and seconds
        var days = Math.floor(distance / (1000 * 60 * 60 * 24));
        var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
        var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
        var seconds = Math.floor((distance % (1000 * 60)) / 1000);

// Output the result in an element with id="demo"
        document.getElementById("demo").innerHTML = days + " @lang('site.day') |  " + hours + " @lang('site.hour') |  "
            + minutes + " @lang('site.minute') | " + seconds + " @lang('site.aSecond') ";

// If the count down is over, write some text
        if (distance < 0) {
            clearInterval(x);
            document.getElementById("demo").innerHTML = "@lang('site.theAuctionHasStarted')";
            location.reload();
        }
    }, 1000);

    @endif
</script>
