@include('site.controllers.upper-header')
@include('site.controllers.header')
<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong>{{trans('site.editAd')}}</strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('home')}}">{{trans('site.home')}}</a></li>
                <li class="breadcrumb-item"><a href="{{route('auction_details', $row->id)}}">{{$row->title}}</a></li>
                <li class="breadcrumb-item active" aria-current="page">{{trans('site.editAd')}}</li>
            </ol>
        </nav>
    </article>
</section>
<div class="container mb-60 mt-30">
    <form action="{{route('update_auction',$row->id)}}" method="post" enctype="multipart/form-data">
        {{csrf_field()}}
        <h4 class="px-10 py-20 mt-0 user-name user-name__borderless "><strong>{{trans('site.editAd')}}</strong></h4>
        <div class="row">
            <div class="col-sm-12">
                <div class="checkbox-card">
                    <div class="relative">
                        <div class="fileUpload">
                            <input name="images[]" class="multable-photos upload" id="file-input" type="file" multiple>
                            <i class="icon-camera px-5"></i>
                            <small>{{trans('site.uploadImages')}}</small>
                        </div>
                        <div id="preview" class="pro-images">
                        </div>
                        <small>@lang('site.oldImages')</small>
                        <div>
                            @foreach($row->images as $image)
                                <img src="{{$image->image}}"> <a href="{{route('delete_image_auction',$image->id)}}"> <i
                                        class="fa fa-trash"></i></a>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-30">
            <div class="col-sm-12">
                <h6><strong>{{trans('site.auctionTitle')}}</strong></h6>
            </div>
            <div class="col-sm-6 my-5">
                <input name="title" type="text" class="form-control" value="{{$row->title}}">
                @if ($errors->has('title'))
                    <small class="text-danger">{{ $errors->first('title') }}</small>
                @endif
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">
                    <select name="category_id" class="form-control select-style">
                        <option value="" disabled class="option form-control">{{trans('site.category')}}</option>
                        @foreach($categories as $category)
                            <option {{$category->id == $row->category_id ? 'selected' : ''}}
                                    value="{{$category->id}}"
                                    class="option form-control">{{$category->name[Lang::getLocale()]}}</option>
                        @endforeach
                    </select>
                </div>
                @if ($errors->has('category_id'))
                    <small class="text-danger">{{ $errors->first('category_id') }}</small>
                @endif
            </div>

            <div class="col-sm-6 my-5">
                <h5 class="mt-20"><strong>{{trans('site.auctionDateTime')}}</strong></h5>
                <div class="col-sm-6  my-5 px-0">
                    <input name="date" value="{{\Carbon\Carbon::parse($row->date)->toDateString()}}" type="date"
                           class="form-control text-right">
                </div>
                <div class="col-sm-6 my-5  px-0">
                    <select name="time" required class="form-control text-right">
                        <option disabled selected>@lang('site.selectTime')</option>

                        <option {{$row->time == '09:00:00' ? "selected" : ''}} style="direction: ltr" value="09:00">9:00
                            AM
                        </option>
                        <option {{$row->time == '09:30:00' ? "selected" : ''}} style="direction: ltr" value="09:30">9:30
                            AM
                        </option>
                        <option {{$row->time == '10:00:00' ? "selected" : ''}} style="direction: ltr" value="10:00">10:00
                            AM
                        </option>
                        <option {{$row->time == '10:30:00' ? "selected" : ''}} style="direction: ltr" value="10:30">
                            10:30
                            AM
                        </option>
                        <option {{$row->time == '11:00:00' ? "selected" : ''}} style="direction: ltr" value="11:00">11:00
                            AM
                        </option>
                        <option {{$row->time == '11:30:00' ? "selected" : ''}} style="direction: ltr" value="11:30">
                            11:30
                            AM
                        </option>
                        <option {{$row->time == '12:00:00' ? "selected" : ''}} style="direction: ltr" value="12:00">12:00
                            PM
                        </option>
                        <option {{$row->time == '12:30:00' ? "selected" : ''}} style="direction: ltr" value="12:30">
                            12:30
                            PM
                        </option>
                        <option {{$row->time == '13:00:00' ? "selected" : ''}} style="direction: ltr" value="13:00">1:00
                            PM
                        </option>
                        <option {{$row->time == '13:30:00' ? "selected" : ''}} style="direction: ltr" value="13:30">1:30
                            PM
                        </option>
                        <option {{$row->time == '14:00:00' ? "selected" : ''}} style="direction: ltr" value="14:00">2:00
                            PM
                        </option>
                        <option {{$row->time == '14:30:00' ? "selected" : ''}} style="direction: ltr" value="14:30">2:30
                            PM
                        </option>
                        <option {{$row->time == '15:00:00' ? "selected" : ''}} style="direction: ltr" value="15:00">3:00
                            PM
                        </option>
                        <option {{$row->time == '15:30:00' ? "selected" : ''}} style="direction: ltr" value="15:30">3:30
                            PM
                        </option>
                        <option {{$row->time == '16:00:00' ? "selected" : ''}}style="direction: ltr" value="16:00">4:00
                            PM
                        </option>
                        <option {{$row->time == '16:30:00' ? "selected" : ''}}style="direction: ltr" value="16:30">4:30
                            PM
                        </option>
                        <option {{$row->time == '17:00:00' ? "selected" : ''}}style="direction: ltr" value="17:00">5:00
                            PM
                        </option>
                        <option {{$row->time == '17:30:00' ? "selected" : ''}}style="direction: ltr" value="17:30">5:30
                            PM
                        </option>
                        <option {{$row->time == '18:00:00' ? "selected" : ''}}style="direction: ltr" value="18:00">6:00
                            PM
                        </option>
                        <option {{$row->time == '18:30:00' ? "selected" : ''}}style="direction: ltr" value="18:30">6:30
                            PM
                        </option>
                        <option {{$row->time == '19:00:00' ? "selected" : ''}}style="direction: ltr" value="19:00">7:00
                            PM
                        </option>
                        <option {{$row->time == '19:30:00' ? "selected" : ''}}style="direction: ltr" value="19:30">7:30
                            PM
                        </option>
                        <option {{$row->time == '20:00:00' ? "selected" : ''}} style="direction: ltr" value="20:00">8:00
                            PM
                        </option>
                        <option {{$row->time == '20:30:00' ? "selected" : ''}} style="direction: ltr" value="20:30">8:30
                            PM
                        </option>
                        <option {{$row->time == '21:00:00' ? "selected" : ''}} style="direction: ltr" value="21:00">9:00
                            PM
                        </option>
                        <option {{$row->time == '21:30:00' ? "selected" : ''}} style="direction: ltr" value="21:30">9:30
                            PM
                        </option>
                    </select>

                    @if ($errors->has('time'))
                        <small class="text-danger">{{ $errors->first('time') }}</small>
                    @endif
                </div>
                @if ($errors->has('type'))
                    <small class="text-danger">{{ $errors->first('type') }}</small>
                @endif
                @if ($errors->has('date'))
                    <small class="text-danger">{{ $errors->first('date') }}</small>
                @endif
                <p class="mt-10 color-red"><small>
                        {{trans('site.auctionNotes')}}</small></p>
            </div>
            <div class="col-sm-6 my-5">

                <h5 class="mt-30"><strong>@lang('site.selectAuctionType')</strong></h5>
                <input {{$row->type == 'normal' ? 'checked' : ''}} type="radio" id="male" name="type" value="normal">
                <label for="male" class="px-10">@lang('site.normalAuction')</label>
                <input {{$row->type == 'direct' ? 'checked' : ''}} type="radio" id="female" name="type" value="direct">
                <label for="female" class="px-10">@lang('site.directAuction')</label><br>
                @if ($errors->has('type'))
                    <small class="text-danger">{{ $errors->first('type') }}</small>
                @endif

            </div>
            <div class="col-sm-12">
                <h5 class="mt-30"><strong>{{trans('site.auctionDescription')}} </strong></h5>
                <textarea name="description" id="" cols="30" rows="6"
                          placeholder=" {{trans('site.auctionDescription')}} ">{{$row->description}}</textarea>
                @if ($errors->has('description'))
                    <small class="text-danger">{{ $errors->first('description') }}</small>
                @endif
            </div>
            <div class="col-sm-12">
                <button type="submit" class="btn btn-primary mt-20">{{trans('site.editAuction')}}</button>
               <a href="{{route('delete_auction',$row->id)}}"><button type="button" class="btn btn-danger mt-20">{{trans('site.deleteAuction')}}</button></a>
            </div>
        </div>

    </form>
</div>


@include('site.controllers.footer')
