@include('site.controllers.upper-header')
@include('site.controllers.header')
<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong>@lang('site.addNewAd')</strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">@lang('site.harajAd')</a></li>
                <li class="breadcrumb-item active" aria-current="page">@lang('site.addNewAd')</li>
            </ol>
        </nav>
    </article>
</section>
<div class="container mb-60 mt-30">
    <div class="row">

        <div class="col-sm-12">
            <form action="{{route('store_advertisement')}}" enctype="multipart/form-data" method="post">
                @csrf
                <div class="row">
                    <div class="col-sm-12">
                        <h5><strong>@lang('site.adTitle')</strong></h5>
                    </div>

                    <div class="col-sm-6 my-5">
                        <input type="text" name="title" value="{{old('title')}}" required class="form-control"
                               placeholder="@lang('site.titlePlaceholder')">
                        @if ($errors->has('title'))
                            <small class="text-danger">{{ $errors->first('title') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="select">
                            <select id="main_categories" name="main_category_id" class="form-control select-style">
                                <option value="" selected disabled
                                        class="option form-control">@lang('site.category')</option>
                                @foreach($categories as $category)
                                    <option value="{{$category->id}}"
                                            class="option form-control">{{$category->name[App::getLocale()]}}</option>
                                @endforeach
                            </select>
                            @if ($errors->has('main_category_id'))
                                <small class="text-danger">{{ $errors->first('main_category_id') }}</small>
                            @endif
                        </div>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="select">
                            <select id="sub_categories" name="category_id" class="form-control select-style">
                                <option value="" selected disabled
                                        class="option form-control">@lang('site.subCategory')</option>

                            </select>
                            @if ($errors->has('category_id'))
                                <small class="text-danger">{{ $errors->first('category_id') }}</small>
                            @endif
                        </div>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="select">
                            <select name="car_type" id="car_type" class="form-control select-style"
                                    style="display: none">
                                <option value="" selected disabled
                                        class="option form-control">@lang('site.carModel')</option>
                                <option value="manual" class="option form-control">@lang('site.manual')</option>
                                <option value="automatic" class="option form-control">@lang('site.automatic')</option>

                            </select>
                            @if ($errors->has('car_type'))
                                <small class="text-danger">{{ $errors->first('car_type') }}</small>
                            @endif
                        </div>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="select">
                            <select name="year" id="year" class="form-control select-style" style="display: none">
                                <option value="" selected disabled
                                        class="option form-control">@lang('site.year')</option>

                                @for($i= 1900  ; $i <= (integer)\Carbon\Carbon::now()->year ; $i++)
                                    <option value="{{$i}}" class="option form-control">{{$i}}</option>
                                @endfor

                            </select>
                            @if ($errors->has('year'))
                                <small class="text-danger">{{ $errors->first('year') }}</small>
                            @endif
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <hr class="my-10">
                    </div>
                    <div class="col-sm-12">
                        <h5><strong>@lang('site.mobile')</strong></h5>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="input-group mb-20">
                            <input name="mobile" value="{{old('mobile')}}" type="number" class="form-control"
                                   placeholder="01123123123">
                            @if ($errors->has('mobile'))
                                <small class="text-danger">{{ $errors->first('mobile') }}</small>
                            @endif
                            <span class="input-group-btn">
                                <button class="btn btn-default pa-9" title="@lang('site.hideMobile')" type="button"><i
                                        class="icon-key"></i></button>
                            </span>
                        </div><!-- /input-group -->

                        <!-- <input type="text" class="form-control"  placeholder="01123123123" > -->
                    </div>
                    {{-- <div class="col-sm-3 ">
                        <h5 class="mt-0 mb-4"><strong>@lang('site.givePubg')</strong></h5>


                        <input type="radio" id="yes" onclick="manageShow('yes')" name="pubg_show" value="true" checked>
                        <label for="yes" class="px-10">@lang('site.yes')</label>


                        <input type="radio" onclick="manageShow('no')" id="no" name="pubg_show" value="false">
                        <label for="no" class="px-10">@lang('site.no')</label><br>


                    </div> --}}

                    <div class="col-sm-3 my-5" id="pubg">
                        <input style="margin-bottom: 15px" type="text" name="pubg_email" class="form-control"
                               value="{{old('email')}}"
                               placeholder="@lang('site.email')">
                        @if ($errors->has('pubg_email'))
                            <small class="text-danger">{{ $errors->first('pubg_email') }}</small>
                        @endif
                        <input type="text" name="pubg_password" class="form-control" value="{{old('pubg_password')}}"
                               placeholder="@lang('site.password')">
                        @if ($errors->has('pubg_password'))
                            <small class="text-danger">{{ $errors->first('password') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-12 my-5">
                        <h5 class="mt-30"><strong>@lang('site.price')</strong></h5>
                        <input type="text" name="price" required class="form-control" value="{{old('price')}}"
                               placeholder="@lang('site.price')">
                        @if ($errors->has('price'))
                            <small class="text-danger">{{ $errors->first('price') }}</small>
                        @endif
                    </div>
                </div>
                <div class="col-sm-12">
                    <hr class="my-10">
                </div>
                <div class="col-sm-12">

                    <h5 class="mt-30"><strong>@lang('site.adText')</strong></h5>
                    <textarea name="description" id="" cols="30" rows="6"
                              placeholder="@lang('site.adDetails')">{{old('description')}}</textarea>
                    <button type="submit" class="btn btn-primary mt-20">@lang('site.sendAd')
                    </button>
                </div>

            </form>
        </div>
    </div>
    <!-- sigup modal -->
    <div class="modal" id="signupModal"
         role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">

        <div class="modal-dialog signmodel">
            <div class="modal-content">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <section>
                    <img src="{{asset('site/images/green/confirmation.png')}}" class="mb-4 mx-auto" width="60px" alt="">
                </section>
                <h4 class="mb-20 mt-20"><strong>@lang('site.theAdvertisementHasBeenSent')</strong></h4>

                <ul class="d-flex space-around">

                    <li><a href="ad-details.php" class="color-black">
                            <article>
                                <img src="{{asset('site/images/vectors/advertiseme.png')}}" class="mb-4 mx-auto primary"
                                     width="100%"
                                     alt="">

                                <h5><strong>@lang('site.goToAdvertise')</strong></h5>
                            </article>
                        </a></li>
                    <li><a href="{{route('home')}}" class="color-black">
                            <article>
                                <img src="{{asset('site/images/vectors/house.png')}}" class="mb-4 mx-auto gray"
                                     height="99px" width="100%"
                                     alt="">

                                <h5><strong>@lang('site.goToTheMain')</strong></h5>
                            </article>
                        </a></li>
                </ul>
            </div>
        </div>
    </div>
</div>


@include('site.controllers.footer')
