@include('site/controllers/upper-header')

@include('site/controllers/header')

<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong>@lang('site.login')</strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('site.home')</a></li>
                <li class="breadcrumb-item active" aria-current="page">@lang('site.login')</li>
            </ol>
        </nav>
    </article>
</section>
<div class="container">
    <div class="login-p">
        <section class="form-section">
            @if (session('error'))
                <div class="alert alert-danger">
                    {{ session('error') }}
                </div>
            @endif
            <div class="row">
                <div class="col-sm-6 col-xs-12 mb-30 px-30">
                    <article>
                        <h4 class="mb-20"><strong>@lang('site.login')</strong></h4>
                    </article>
                    <form action="{{route('authentication')}}" method="POST" enctype="multipart/form-data">
                        {{csrf_field()}}
                        <input type="text" name="mobile" class="form-control mb-20"
                               placeholder="@lang('site.mobileOrUsername')">
                        @if ($errors->has('mobile'))
                            <small class="text-danger">{{ $errors->first('mobile') }}</small>
                        @endif
                        <div class="input-group mb-20">
                            <input type="password" name="password" class="form-control" placeholder="@lang('site.password')">
                            <span class="input-group-btn">
                                        <button class="btn btn-default pa-9" type="button"><i
                                                class="icon-key"></i></button>
                                    </span>
                            @if ($errors->has('password'))
                                <small class="text-danger">{{ $errors->first('password') }}</small>
                            @endif
                        </div><!-- /input-group -->

                        {!! htmlFormSnippet() !!}
                        @if($errors->has('g-recaptcha-response'))
                        <div>
                            <small class="text-danger">{{ $errors->first('g-recaptcha-response') }}</small>
                        </div>
                        @endif
                        <!-- <input type="password" class="form-control mb-20"  placeholder="كلمة المرور" > -->
                        <a href="{{route('forget_password')}}" class="left underlined">@lang('site.forgetPassword')</a>
                        <button type="submit" style="width:100%" class="btn btn-primary mt-20 mb-20">@lang('site.login')</button>
                        <hr class="my-10 width-50 mx-auto"/>
                        <p class="mt-20 text-center">@lang('site.dontHaveAccount') -
                            <a href="{{route('register')}}" class="underlined"><strong>@lang('site.register')</strong></a>
                        </p>

                                 <!-- Google reCaptcha v2 -->


                    </form>
                </div>
                <div class="col-sm-6 illustrated"></div>

            </div>
        </section>
    </div>
</div>

@include('site/controllers/footer')


