<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <!-- Tab Title -->
    <title><?php echo app('translator')->get('site.site_name'); ?></title>
    <link rel="apple-touch-icon" href="<?php echo e(asset('blackLogo.png')); ?>">
    <link rel="apple-touch-startup-image" href="<?php echo e(asset('blackLogo.png')); ?>">
    <link rel="apple-touch-icon" sizes="128x128" href="<?php echo e(asset('blackLogo.png')); ?>">
    <link rel="icon" sizes="192x192" href="<?php echo e(asset('blackLogo.png')); ?>">
    <meta name="msapplication-TileImage" content="<?php echo e(asset('blackLogo.png')); ?>">
    <meta name="msapplication-TileColor" content="green">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>

    <!-- Shortcut Icon -->


<!-- Font Awesome Css -->
    <link rel="stylesheet" href="<?php echo e(asset('site/css/font-awesome.min.css')); ?>"/>
    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="<?php echo e(asset('site/css/bootstrap-e.min.css')); ?>"/>
    <?php if(App::getLocale() == 'ar'): ?>
        <link rel="stylesheet" href="<?php echo e(asset('site/css/bootstrap-a.min.css')); ?>"/>
    <?php endif; ?>
<!-- en - font -->
    <?php if(App::getLocale() == 'en'): ?>
        <link rel="stylesheet" href="<?php echo e(asset('site/fonts/font/stylesheet.css')); ?>"/>
    <?php endif; ?>
<!-- ar - font -->
    <?php if(App::getLocale() == 'ar'): ?>
        <link rel="stylesheet" href="<?php echo e(asset('site/fonts/font/ar/stylesheet.css')); ?>"/>
    <?php endif; ?>
    <link rel="stylesheet" href="<?php echo e(asset('site/fonts/icons/css/fontello.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('site/fonts/fontello/css/fontello.css')); ?>"/>

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('site/css/slick.css')); ?>"/>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('site/css/slick-theme.css')); ?>"/>
    <!-- Owl carousel -->
    <link rel="stylesheet" href="<?php echo e(asset('site/css/owl.carousel.min.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('site/css/owl.theme.default.min.css')); ?>" type="text/css">
    <!-- Lightbox -->
    <link rel="stylesheet" href="<?php echo e(asset('site/css/lightbox.css')); ?>"/>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('magnifier.css')); ?>">

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@200;300;400;600&display=swap" rel="stylesheet">

    <!-- Styling File -->
    <?php if(App::getLocale() == 'en'): ?>
        <link rel="stylesheet" href="<?php echo e(asset('site/css/main.css')); ?>"/>
    <?php endif; ?>
    <?php if(App::getLocale() == 'ar'): ?>


        <link rel="stylesheet" href="<?php echo e(asset('site/css/main-ar/main.css')); ?>"/>
    <?php endif; ?>

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

    
    <style>

        /* Text alignment for body */
        /* body {
            text-align: center;
        }  */


        /* Styling modal */
        .modal:before {
            content: '';
            display: inline-block;
            height: 100%;
            vertical-align: middle;
        }

        .modal-dialog {
            display: inline-block;
            vertical-align: middle;
        }

        .modal .modal-content {
            padding: 50px;
            -webkit-animation-name: modal-animation;
            -webkit-animation-duration: 0.5s;
            animation-name: modal-animation;
            animation-duration: 0.5s;
        }

        .color-green {
            color: green;
        }

        @-webkit-keyframes modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }

        @keyframes  modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }

        p {
            line-break: anywhere;
        }
    </style>

</head>
<body>

<?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


<header>


    <!-- navbar -->
    <nav class="navbar">
        <div class="container">
            <section class="bg">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                        <span class="fa fa-bars"></span>
                    </button>
                    <a class="navbar-brand" href="#">
                        <img src="<?php echo e(asset('site/images/001.png')); ?>" alt="">
                    </a>
                </div>
                <div class="collapse navbar-collapse" id="myNavbar">
                    <ul class="nav navbar-nav">
                        <?php if(auth()->check()): ?>
                            <div class="dropdown">
                                <button class="btn  dropdown-toggle py-15" type="button" data-toggle="dropdown">
                                <span> <img height="25px" width="25px" class="mb-3 rounded"
                                            src="<?php echo e(auth()->user()->image ? auth()->user()->image : asset('site/images/profile.png')); ?>"
                                            alt=""></span><span
                                        class="color-white font-regular px-adjust"><?php echo e(auth()->user()->username); ?></span><span
                                        class="caret color-white"></span>
                                </button>
                                <ul class="dropdown-menu">
                                    <li><a href="<?php echo e(route('profile')); ?>" class="py-10">
                                            <i class="icon-user color-primary px-5"></i>
                                            <span class="color-black"><?php echo app('translator')->get('site.myProfile'); ?></span></a></li>

                                    <li class="text-center" class="py-10"><a href="<?php echo e(route('logout')); ?>">
                                            <i class="icon-exit color-primary px-5"></i>
                                            <span class="color-black"><?php echo app('translator')->get('site.logout'); ?></span></a></li>

                                </ul>
                            </div>
                            <!-- REPLACE IF AUTHENTICATED -->
                        <?php else: ?>
                            <li>
                                <a style="padding: 6px 15px;" href="<?php echo e(route('login')); ?>"
                                   class="btn btn-default mt-8"><?php echo app('translator')->get('site.login'); ?></a>
                            </li>
                            <li><a href="<?php echo e(route('register_terms')); ?>" style="color: #fff !important;" class="main-link"><?php echo app('translator')->get('site.register'); ?></a></li>
                        <?php endif; ?>
                    </ul>
                    <ul class="nav navbar-nav  navbar-right">
                        <li class="active"><a href="<?php echo e(route('home')); ?>" class="main-link"><i
                                    class="icon-home px-5"></i><?php echo e(trans('site.home')); ?></a>
                        </li>
                        <li><a href="<?php echo e(route('messages')); ?>" class="main-link"><i
                                    class="icon-mail px-5"></i><?php echo app('translator')->get('site.messages'); ?></a><span
                                <?php if(\Auth::check() && \App\Models\Messages::where('receiver_id',\Auth::user()->id)->where('read','=','false')->count() != 0): ?> class="red-dot" <?php endif; ?>  ></span>
                        </li>
                        <li><a href="<?php echo e(route('notifications')); ?>" class="main-link"><i
                                    class="icon-bell px-5"></i><?php echo app('translator')->get('site.notifications'); ?></a>
                            <?php if(Auth::check() && notificationStatus() == 'false' ): ?>
                                <span class="red-dot"></span></li>
                        <?php endif; ?>
                        <li><a href="<?php echo e(route('favourites')); ?>" class="main-link"><i
                                    class="icon-love px-5"></i><?php echo app('translator')->get('site.favourite'); ?></a></li>
                    </ul>
                </div>

            </section>


        </div>
    </nav>

</header>



<?php /**PATH /backup/playercenter/public_html/resources/views/site/controllers/header.blade.php ENDPATH**/ ?>