<?php echo $__env->make('site.controllers.upper-header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('site.controllers.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong><?php echo app('translator')->get('site.editAd'); ?></strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a
                        href="<?php echo e(route('advertisement_details',$ad->id)); ?>"><?php echo app('translator')->get('site.adDetails'); ?></a></li>
                <li class="breadcrumb-item active" aria-current="page"><?php echo app('translator')->get('site.editAd'); ?></li>
            </ol>
        </nav>
    </article>
</section>
<div class="container mb-60 mt-30">
    <form action="<?php echo e(route('update_ad',$ad->id)); ?>" method="post" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <h4 class="px-10 py-20 mt-0 user-name user-name__borderless "><strong><?php echo app('translator')->get('site.editAd'); ?></strong></h4>
        <div class="row">
            <div class="col-sm-12">
                <div class="checkbox-card">
                    <div class="relative">
                        <div class="fileUpload">
                            <input class="multable-photos upload" id="file-input" name="images[]" type="file" multiple>
                            <i class="icon-camera px-5"></i>
                            <small><?php echo app('translator')->get('site.choseImages'); ?></small>
                        </div>
                        <div id="preview" class="pro-images">
                        </div>
                        <small><?php echo app('translator')->get('site.oldImages'); ?></small>
                        <div>
                            <?php $__currentLoopData = $ad->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <img src="<?php echo e($image->image); ?>"> <a href="<?php echo e(route('delete_image',$image->id)); ?>"> <i
                                        class="fa fa-trash"></i></a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <h5><strong><?php echo app('translator')->get('site.adTitle'); ?></strong></h5>
            </div>

            <div class="col-sm-6 my-5">
                <input type="text" name="title" value="<?php echo e($ad->title); ?>" required class="form-control"
                       placeholder="<?php echo app('translator')->get('site.titlePlaceholder'); ?>">
                <?php if($errors->has('title')): ?>
                    <small class="text-danger"><?php echo e($errors->first('title')); ?></small>
                <?php endif; ?>
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">

                    <select id="main_categories" name="main_category_id" class="form-control select-style">
                        <option value="" selected disabled class="option form-control"><?php echo app('translator')->get('site.category'); ?></option>

                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option
                                <?php if( $category->id == $parent_category->id): ?>  selected
                                <?php endif; ?> value="<?php echo e($category->id); ?>"
                                class="option form-control"><?php echo e($category->name[App::getLocale()]); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <?php if($errors->has('main_category_id')): ?>
                        <small class="text-danger"><?php echo e($errors->first('main_category_id')); ?></small>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">
                    <select id="sub_categories" name="category_id" class="form-control select-style">
                        <option value="" disabled class="option form-control"><?php echo app('translator')->get('site.subCategory'); ?></option>
                        <?php $__currentLoopData = $sub_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub_category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option <?php if($parent_category->id == $sub_category->id): ?> selected
                                    <?php endif; ?> value="<?php echo e($sub_category->id); ?>"
                                    class="option form-control"><?php echo e($sub_category->name[App::getLocale()]); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <?php if($errors->has('category_id')): ?>
                        <small class="text-danger"><?php echo e($errors->first('category_id')); ?></small>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">
                    <select name="car_type" id="car_type" class="form-control select-style"
                            <?php if($parent_category->car_option != 'true'): ?>  style="display: none" <?php endif; ?>>
                        <option value="" selected disabled class="option form-control"><?php echo app('translator')->get('site.carModel'); ?></option>
                        <option value="manual"
                                class="option form-control" <?php echo e($ad->car_type == 'manual' ? "selected":""); ?>><?php echo app('translator')->get('site.manual'); ?></option>
                        <option value="automatic"
                                class="option form-control" <?php echo e($ad->car_type == 'automatic' ? "selected":""); ?>><?php echo app('translator')->get('site.automatic'); ?></option>
                    </select>
                    <?php if($errors->has('car_type')): ?>
                        <small class="text-danger"><?php echo e($errors->first('car_type')); ?></small>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">
                    <select name="year" id="year" class="form-control select-style"
                            <?php if($parent_category->car_option != 'true'): ?>  style="display: none" <?php endif; ?>>

                        <option value="" selected disabled class="option form-control"><?php echo app('translator')->get('site.year'); ?></option>

                        <?php for($i= 1900  ; $i <= (integer)\Carbon\Carbon::now()->year ; $i++): ?>
                            <option value="<?php echo e($i); ?>"
                                    <?php echo e($ad->year == $i ? "selected" :""); ?> class="option form-control"><?php echo e($i); ?></option>
                        <?php endfor; ?>

                    </select>
                    <?php if($errors->has('year')): ?>
                        <small class="text-danger"><?php echo e($errors->first('year')); ?></small>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-sm-12">
                <hr class="my-10">
            </div>
            <div class="col-sm-12">
                <h5><strong><?php echo app('translator')->get('mobile'); ?></strong></h5>
            </div>
            <div class="col-sm-6 my-5">
                <div class="input-group mb-20">
                    <input name="mobile" value="<?php echo e($ad->mobile); ?>" type="number" class="form-control"
                           placeholder="01123123123">
                    <?php if($errors->has('mobile')): ?>
                        <small class="text-danger"><?php echo e($errors->first('mobile')); ?></small>
                    <?php endif; ?>
                    <span class="input-group-btn">
                                <button class="btn btn-default pa-9" title="<?php echo app('translator')->get('site.hideMobile'); ?>" type="button"><i
                                        class="icon-key"></i></button>
                            </span>
                </div><!-- /input-group -->

                <!-- <input type="text" class="form-control"  placeholder="01123123123" > -->
            </div>
            <div class="col-sm-3 ">
                <h5 class="mt-0 mb-4"><strong><?php echo app('translator')->get('site.givePubg'); ?></strong></h5>


                <input type="radio" id="yes" onclick="manageShow('yes')" name="pubg_show" value="true"
                    <?php echo e($ad->pubg_password ? 'checked' : ''); ?> >
                <label for="yes" class="px-10"><?php echo app('translator')->get('site.yes'); ?></label>


                <input type="radio" onclick="manageShow('no')" id="no" name="pubg_show" value="false"
                    <?php echo e(!$ad->pubg_password ? 'checked' : ''); ?>>
                <label for="no" class="px-10"><?php echo app('translator')->get('site.no'); ?></label><br>


            </div>

            <div class="col-sm-3 my-5" id="pubg" <?php echo e(!$ad->pubg_email ?" style=display:none ": ''); ?>>
                <input style="margin-bottom: 15px" type="text" name="pubg_email" class="form-control"
                       value="<?php echo e($ad->pubg_email); ?>"
                       placeholder="<?php echo app('translator')->get('site.pubg_email'); ?>">
                <?php if($errors->has('pubg_email')): ?>
                    <small class="text-danger"><?php echo e($errors->first('pubg_email')); ?></small>
                <?php endif; ?>
                <input type="text" name="pubg_password" class="form-control" value="<?php echo e($ad->pubg_password); ?>"
                       placeholder="<?php echo app('translator')->get('site.pubg_password'); ?>">
                <?php if($errors->has('pubg_password')): ?>
                    <small class="text-danger"><?php echo e($errors->first('pubg_password')); ?></small>
                <?php endif; ?>
            </div>

            <div class="col-sm-12 my-5">
                <h5 class="mt-30"><strong><?php echo app('translator')->get('site.price'); ?></strong></h5>
                <input type="text" name="price" required class="form-control" value="<?php echo e($ad->price); ?>"
                       placeholder="<?php echo app('translator')->get('site.price'); ?>">
                <?php if($errors->has('price')): ?>
                    <small class="text-danger"><?php echo e($errors->first('price')); ?></small>
                <?php endif; ?>
            </div>

        </div>
        <div class="col-sm-12">
            <hr class="my-10">
        </div>
        <div class="col-sm-12">

            <h5 class="mt-30"><strong><?php echo app('translator')->get('site.adDetails'); ?></strong></h5>
            <textarea name="description" id="" cols="30" rows="6"
                      placeholder="<?php echo app('translator')->get('site.adDetails'); ?>"><?php echo e($ad->description); ?></textarea>
            <button type="submit" class="btn btn-primary mt-20"><?php echo app('translator')->get('site.editAd'); ?>
            </button>
        </div>


    </form>
</div>


<?php echo $__env->make('site.controllers.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /**PATH /backup/playercenter/public_html/resources/views/site/haraj/edit_ad.blade.php ENDPATH**/ ?>